/*
14CORE NodeMCU i2C 16x2 LCD SCREEN
Test COde.........................
*/

// Non è la libreria standard, è una libreria che utilizza quella standard
// https://github.com/openenergymonitor/LiquidCrystal_I2C1602V1
// https://github.com/openenergymonitor/LiquidCrystal_I2C
#include <LiquidCrystal_I2C.h> //This library you can add via Include Library > Manage Library > 
#include <Wire.h>  // This library is already built in to the Arduino IDE

// 16,2 oppure 20,4 sono le colonne e le righe del display
LiquidCrystal_I2C lcd(0x27, 16, 2);

void setup()
{
// Board  I2C / TWI pins
// Uno, Ethernet A4 (SDA), A5 (SCL)
// Mega2560  20 (SDA), 21 (SCL)
// Leonardo  2 (SDA), 3 (SCL)
// Due 20 (SDA), 21 (SCL), SDA1, SCL1
  Wire.begin(4,5); // sono i pin utilizzati per SDA e SCL sulla esp8266/NodeMCU, GPIO04 (D2) e GPIO05 (D1)
  lcd.init();   // initializing the LCD
  lcd.backlight(); // Enable or Turn On the backlight 
  lcd.setCursor(0, 0);
  lcd.print("-16x2 LCD TEST -"); // Start Print text to Line 1
  lcd.setCursor(0, 1);      
  lcd.print("1234567890123456"); // Start Print Test to Line 2
}

void loop()
{
  // Nothing Absolutely Nothing!

//  delay(5000);
//  lcd.noBacklight();
//  delay(5000);
//  lcd.backlight();
  
}
