// HO MODIFICATO QUESTO FILE!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

/*
* rwdImageMaps jQuery plugin v1.5
*
* Allows image maps to be used in a responsive design by recalculating the area coordinates to match the actual image size on load and window.resize
*
* Copyright (c) 2013 Matt Stow
* https://github.com/stowball/jQuery-rwdImageMaps
* http://mattstow.com
* Licensed under the MIT license
*/


;(function($) {
	$.fn.rwdImageMaps = function() {
		var $img = this;
//		var area = {idArea:"", coordsArea:"Doe"};
//		var $coordinate = new Array(10);
//		var $coordinate = new Object();
		var $mapAreas = {};
		
		var rwdImageMap = function() {
			$img.each(function() {
				if (typeof($(this).attr('usemap')) == 'undefined')
					return;
				
				var that = this,
					$that = $(that);
				
				// Since WebKit doesn't know the height until after the image has loaded, perform everything in an onload copy
				$('<img />').load(function() {
					var attrW = 'width',
						attrH = 'height',
						w = $that.attr(attrW),
						h = $that.attr(attrH);
					
					if (!w || !h) {
						var temp = new Image();
						temp.src = $that.attr('src');
						if (!w)
							w = temp.width;
						if (!h)
							h = temp.height;
					}
					
					var wPercent = $that.width()/100,
						hPercent = $that.height()/100,
						map = $that.attr('usemap').replace('#', ''),
						c = 'coords';
					
					$('map[name="' + map + '"]').find('area').each(function() {
						var $this = $(this);
						var id = $this.attr('id');
//						console.log("**id= " + id );
						if (!$this.data(c))
							$this.data(c, $this.attr(c));
						
						// MODIFICA:
						var coords = $this.data(c).split(','),
							coordsPercent = new Array(coords.length);
						
						for (var i = 0; i < coordsPercent.length; ++i) {
							if (i % 2 === 0)
								coordsPercent[i] = parseInt(((coords[i]/w)*100)*wPercent);
							else
								coordsPercent[i] = parseInt(((coords[i]/h)*100)*hPercent);
						}
						$this.attr(c, coordsPercent.toString());
//						$coordinate.idImg = id;
//						$coordinate.coords = coordsPercent.toString();
						$mapAreas[id] = coordsPercent.toString();
//						$coordinate[id] = coordsPercent.toString();
//						console.log("*******$coordinate= " + JSON.stringify($coordinate) );
//						console.log("*************$coordinate= " + $coordinate);
						console.log("*************$mapAreas= " + JSON.stringify($mapAreas));
						if (id=="area-studio") {
							disegnaPalliniTest(coordsPercent.toString());
						}
					});
				}).attr('src', $that.attr('src'));
			});
//			disegnaPalliniTest(coordinate)
		};
//		console.log("----------------------$coordinate =" + $coordinate);
//		console.log("--------------$coordinate= " + JSON.stringify($coordinate) );
		console.log("--------------$mapAreas= " + JSON.stringify($mapAreas) );
		$(window).resize(rwdImageMap).trigger('resize');
//		console.log("______________________$coordinate =" + $coordinate);
//		console.log("______________$coordinate= " + JSON.stringify($coordinate) );
		console.log("______________$mapAreas= " + JSON.stringify($mapAreas) );
		
//		callback();
		return this;
	};
})(jQuery);