 
		var refreshInterval = 60000; // 60000 millisecondi = 1 minuto
   		// Funzioni per i grafici di Google
    	// Load the Visualization API and the piechart package.
      	//google.load("visualization", "1", {'packages':["gauge,corechart"]});
		google.load("visualization", "1", {'packages':["gauge"]});
      
      	// Set a callback to run when the Google Visualization API is loaded.
      	google.setOnLoadCallback(init);
      	
		function init() {
// 			var getJsonDataLastTemperatureUrl = "getData/getJsonDataLastTemperature.php";
			var getJsonDataLastTemperatureUrlStudio = "getData/getJsonDataLastTemperature.php?idDispositivo=1&idSensore1=2&idSensore2=0";
			var getJsonDataLastTemperatureUrlSala = "getData/getJsonDataLastTemperature.php?idDispositivo=1&idSensore1=1&idSensore2=0";
			var getJsonDataLastTemperatureDateUrlStudio = "getData/getJsonDataLastTemperatureDate.php?idDispositivo=1&idSensore1=2";
			var getJsonDataLastTemperatureDateUrlSala = "getData/getJsonDataLastTemperatureDate.php?idDispositivo=1&idSensore1=1";
			var getJsonDataLastHumidityUrlSala = "getData/getJsonDataLastHumidity.php?idDispositivo=1&idSensore1=1";
			var getJsonDataLastHumidityDateUrlSala = "getData/getJsonDataLastUpdateDate.php?idDispositivo=1&idSensore1=1&tipoRilevamento=umidita";
			var getJsonDataLastPressureUrlSala = "getData/getJsonDataLastPressure.php?idDispositivo=1&idSensore1=2";
			var getJsonDataLastPressureDateUrlSala = "getData/getJsonDataLastUpdateDate.php?idDispositivo=1&idSensore1=2&tipoRilevamento=pressioneAtmosferica";
			//var refreshInterval = 60000; // 60000 millisecondi = 1 minuto
			var larghezza = 100;
			var altezza = 100;
			var divTemperatureStudio = "studio_chart_temperature_div";
			var divTemperatureDateStudio = "studio_mostraUltimoRilevamento_temperature";
		    drawChartTemperature(getJsonDataLastTemperatureUrlStudio, getJsonDataLastTemperatureDateUrlStudio, refreshInterval, larghezza, altezza, divTemperatureStudio, divTemperatureDateStudio);
		    var divTemperatureSala = "sala_chart_temperature_div";
		    var divTemperatureDateSala = "sala_mostraUltimoRilevamento_temperature";
		    drawChartTemperature(getJsonDataLastTemperatureUrlSala, getJsonDataLastTemperatureDateUrlSala, refreshInterval, larghezza, altezza, divTemperatureSala, divTemperatureDateSala);
		    var divHumiditySala = "sala_chart_humidity_div";
		    var divHumidityDateSala = "sala_mostraUltimoRilevamento_humidity";
		    drawChartHumidity(getJsonDataLastHumidityUrlSala, getJsonDataLastHumidityDateUrlSala, refreshInterval, larghezza, altezza, divHumiditySala, divHumidityDateSala);
		    var divPressureSala = "sala_chart_pressure_div";
		    var divPressureDateSala = "sala_mostraUltimoRilevamento_pressure";
		    drawChartPressure(getJsonDataLastPressureUrlSala, getJsonDataLastPressureDateUrlSala, refreshInterval, larghezza, altezza, divPressureSala, divPressureDateSala);
		    
		}      


		function drawChartTemperature(getJsonDataLastTemperatureUrl, getJsonDataLastTemperatureDateUrl, refreshInterval, larghezza, altezza, divTemperature, divTemperatureDate) {
        	console.log("drawChartTemperature");
  	      	var jsonData = $.ajax({
  	        	//url: "getJsonDataLastTemperature.php",
  	          	url: getJsonDataLastTemperatureUrl,
  	          	dataType: "json",
  	          	async: false
  	          	}).responseText;
           ;
  	       // Create our data table out of JSON data loaded from server.
  	       var data = new google.visualization.DataTable(jsonData);
  	       //The JavaScript function JSON.parse(text) can be used to convert a JSON text into a JavaScript object:
  	       var jsonDataObj = JSON.parse(jsonData);
//  	       console.log("*********************** jsonData= " + jsonData);
//  	       console.log("*********************** jsonDataObj= " + jsonDataObj);
//  	       console.log("*********************** jsonDataObj.cols= " + jsonDataObj.cols);
//  	       console.log("*********************** jsonDataObj.rows= " + jsonDataObj.rows);
//  	       console.log("*********************** jsonDataObj.rows[0]= " + jsonDataObj.rows[0]);
//  	       console.log("*********************** jsonDataObj.rows.c= " + jsonDataObj.rows.c);
//  	       console.log("*********************** jsonDataObj.rows[0].c= " + jsonDataObj.rows[0].c);
//  	       console.log("*********************** jsonDataObj.rows[0].c[0].v= " + jsonDataObj.rows[0].c[0].v); // = °C
//  	       console.log("*********************** jsonDataObj.rows[0].c[1].v= " + jsonDataObj.rows[0].c[1].v); // = 22
	       
           var options = {
           		width: larghezza, height: altezza,
  			 	greenFrom: 18, greenTo: 25,
  			 	yellowFrom:25, yellowTo: 30,
            	redFrom: 30, redTo: 50,
  			 	majorTicks: ['-10', '0', '10', '20', '30', '40', '50'],
            	minorTicks: 10,
            	animation:{
          			duration: 1000,
         			easing: 'out',
        	 	},
        	 	max: 50,
        	 	min: -10,
  			 	//seriesType: 'bars',
  			 	//series: {5: {type: 'line'}}
          };

          var chart = new google.visualization.Gauge(document.getElementById(divTemperature));
          document.getElementById(divTemperature).title = "Temperatura = " + jsonDataObj.rows[0].c[1].v + "°C";

          chart.draw(data, options);
  		  //chart.draw(data);
  		  // recupero l'ora dell'ultimo aggiornamento
		  var mostraUltimoRilevamento = $.ajax({
  	          url: getJsonDataLastTemperatureDateUrl,
  	          dataType: "json",
  	          async: false
  	      }).responseText;
  	      var mostraUltimoRilevamentoObj = JSON.parse(mostraUltimoRilevamento);
  	      var mySQLDate = mostraUltimoRilevamentoObj.date;
  		  var jsDate = new Date(Date.parse(mySQLDate.replace('-','/','g')));
  		  var jsDateFormatted = dateToString2(jsDate);
  		  document.getElementById(divTemperatureDate).innerHTML = jsDateFormatted;

  		  setInterval(function() {
  			  var date = new Date();
  			  console.log(date.toTimeString() + ' -> richiesta nuovi dati temperatura');
  			  jsonData = $.ajax({
	  	          //url: "getJsonDataLastTemperature.php",
	  	          url: getJsonDataLastTemperatureUrl,
	  	          dataType: "json",
	  	          async: false
  	          }).responseText;
  			  data = new google.visualization.DataTable(jsonData);
  			  jsonDataObj = JSON.parse(jsonData);
  			  document.getElementById(divTemperature).title = "Temperatura = " + jsonDataObj.rows[0].c[1].v + "°C";
  			  chart.draw(data, options);
  			  // recupero l'ora dell'ultimo aggiornamento
  			  mostraUltimoRilevamento = $.ajax({
	  	          url: getJsonDataLastTemperatureDateUrl,
	  	          dataType: "json",
	  	          async: false
  	          }).responseText;
  			  var mostraUltimoRilevamentoObj = JSON.parse(mostraUltimoRilevamento);
  			  var mySQLDate = mostraUltimoRilevamentoObj.date;
  			  var jsDate = new Date(Date.parse(mySQLDate.replace('-','/','g')));
  			  var jsDateFormatted = dateToString2(jsDate);
  			  document.getElementById(divTemperatureDate).innerHTML = jsDateFormatted;
          }, refreshInterval);

        } // drawChartTemperature
		
		
		
		function drawChartPressure(getJsonDataLastPressureUrl, getJsonDataLastPressureDateUrl, refreshInterval, larghezza, altezza, divPressure, divPressureDate) {  
			console.log("drawChartPressure");
			var jsonData = $.ajax({
				//url: "getJsonDataLastPressure.php",
				url: getJsonDataLastPressureUrl,
				dataType: "json",
				async: false
				}).responseText;
			;
			// Create our data table out of JSON data loaded from server.
			var data = new google.visualization.DataTable(jsonData);
			var jsonDataObj = JSON.parse(jsonData);
			console.log("*********************** jsonDataObj.rows[0].c[0].v= " + jsonDataObj.rows[0].c[0].v); // = hPa
			console.log("*********************** jsonDataObj.rows[0].c[1].v= " + jsonDataObj.rows[0].c[1].v); // = 22
			
			var options = {
					width: larghezza, height: altezza,
					greenFrom: 1020, greenTo: 1030,
					//yellowFrom:25, yellowTo: 30,
					//redFrom: 30, redTo: 50,
					//majorTicks: ['960', '970', '980', '990', '1000', '1010', '1020', '1030', '1040', '1050', '1060'],
					majorTicks: ['960', "", '980', "", '1000', "", '1020', "", '1040', "", '1060'],
					minorTicks: 10,
					animation:{
						duration: 1000,
						easing: 'out',
					},
					max: 1060,
					min: 960,
					//seriesType: 'bars',
					//series: {5: {type: 'line'}}
			};

			var chart = new google.visualization.Gauge(document.getElementById(divPressure));
			document.getElementById(divPressure).title = "Pressione = " + jsonDataObj.rows[0].c[1].v + "hPa";

			chart.draw(data, options);
			//chart.draw(data);
			var mostraUltimoRilevamento = $.ajax({
				url: getJsonDataLastPressureDateUrl,
				dataType: "json",
				async: false
			}).responseText;
			var mostraUltimoRilevamentoObj = JSON.parse(mostraUltimoRilevamento);
			var mySQLDate = mostraUltimoRilevamentoObj.date;
			var jsDate = new Date(Date.parse(mySQLDate.replace('-','/','g')));
			var jsDateFormatted = dateToString2(jsDate);
			document.getElementById(divPressureDate).innerHTML = jsDateFormatted;

			setInterval(function() {
				var date = new Date();
				console.log(date.toTimeString() + ' -> richiesta nuovi dati pressione');
				jsonData = $.ajax({
					//url: "getJsonDataLastPressure.php",
					url: getJsonDataLastPressureUrl,
					dataType: "json",
					async: false
				}).responseText;
				data = new google.visualization.DataTable(jsonData);
				jsonDataObj = JSON.parse(jsonData);
				document.getElementById(divPressure).title = "Pressione = " + jsonDataObj.rows[0].c[1].v + "hPa";
				chart.draw(data, options);
				// recupero l'ora dell'ultimo aggiornamento
				mostraUltimoRilevamento = $.ajax({
					url: getJsonDataLastPressureDateUrl,
					dataType: "json",
					async: false
				}).responseText;
				var mostraUltimoRilevamentoObj = JSON.parse(mostraUltimoRilevamento);
				var mySQLDate = mostraUltimoRilevamentoObj.date;
				var jsDate = new Date(Date.parse(mySQLDate.replace('-','/','g')));
				var jsDateFormatted = dateToString2(jsDate);
				document.getElementById(divPressureDate).innerHTML = jsDateFormatted;
			}, refreshInterval);
        
		} // drawChartPressure
		
		
		
		function drawChartHumidity(getJsonDataLastHumidityUrl, getJsonDataLastHumidityDateUrl, refreshInterval, larghezza, altezza, divHumidity, divHumidityDate) {
			console.log("drawChartHumidity");
			var jsonData = $.ajax({
				url: getJsonDataLastHumidityUrl,
				dataType: "json",
				async: false
			}).responseText;
			;
			// Create our data table out of JSON data loaded from server.
			var data = new google.visualization.DataTable(jsonData);
			var jsonDataObj = JSON.parse(jsonData);
//			console.log("*********************** jsonDataObj.rows[0].c[0].v= " + jsonDataObj.rows[0].c[0].v); // = %
//			console.log("*********************** jsonDataObj.rows[0].c[1].v= " + jsonDataObj.rows[0].c[1].v); // = 38

			var options = {
					width: larghezza, height: altezza,
					greenFrom: 40, greenTo: 70,
					yellowColor: "#0147FA", // blue
					yellowFrom:70, yellowTo: 100,
					redFrom: 0, redTo: 40,
					majorTicks: ['0', '10', '20', '30', '40', '50', '60', '70', '80', '90', '100'],
					minorTicks: 10,
					animation:{
						duration: 1000,
						easing: 'out',
					},
					max: 100,
					min: 0,
					//seriesType: 'bars',
					//series: {5: {type: 'line'}}
			};

	        var chart = new google.visualization.Gauge(document.getElementById(divHumidity));
	        document.getElementById(divHumidity).title = "Umidità = " + jsonDataObj.rows[0].c[1].v + "%";

	        chart.draw(data, options);
	        //chart.draw(data);
	        mostraUltimoRilevamento = $.ajax({
				url: getJsonDataLastHumidityDateUrl,
				dataType: "json",
				async: false
			}).responseText;
			var mostraUltimoRilevamentoObj = JSON.parse(mostraUltimoRilevamento);
			var mySQLDate = mostraUltimoRilevamentoObj.date;
			var jsDate = new Date(Date.parse(mySQLDate.replace('-','/','g')));
			var jsDateFormatted = dateToString2(jsDate);
			document.getElementById(divHumidityDate).innerHTML = jsDateFormatted;
			
	        setInterval(function() {
	        	var date = new Date();
	        	console.log(date.toTimeString() + ' -> richiesta nuovi dati umidità');
	        	jsonData = $.ajax({
	        		//url: "getJsonDataLastPressure.php",
	        		url: getJsonDataLastHumidityUrl,
	        		dataType: "json",
	        		async: false
	        	}).responseText;
	        	data = new google.visualization.DataTable(jsonData);
	        	jsonDataObj = JSON.parse(jsonData);
	        	document.getElementById(divHumidity).title = "Umidità = " + jsonDataObj.rows[0].c[1].v + "%";
	        	chart.draw(data, options);
	        	// recupero l'ora dell'ultimo aggiornamento
				mostraUltimoRilevamento = $.ajax({
					url: getJsonDataLastHumidityDateUrl,
					dataType: "json",
					async: false
				}).responseText;
				var mostraUltimoRilevamentoObj = JSON.parse(mostraUltimoRilevamento);
				var mySQLDate = mostraUltimoRilevamentoObj.date;
				var jsDate = new Date(Date.parse(mySQLDate.replace('-','/','g')));
				var jsDateFormatted = dateToString2(jsDate);
				document.getElementById(divHumidityDate).innerHTML = jsDateFormatted;
	        }, refreshInterval);
	              
	      } // drawChartHumidity
		
		
		
		

