<?php
	require_once 'util/session.php';
// 	require_once 'util/getLastSensorsState.php'; // deve essere inserita dopo il pezzo con i salvataggi nel db
	require_once 'util/database.php';
	
	$tabella = "configurazioni";
	$idConfigurazioni = null;  // autoincrement
	$radiosChecked = ""; // ci memorizzo una stringa che contiene istruzioni jQuery generate dal PHP
	
	// 	echo "<br><br><br>";
	// 	print_r($_POST);
	// 	echo "<br><br><br>";
	
	$formSubmit = null;
	if (isset($_POST['Submit'])) {
		$formSubmit = $_POST["Submit"];
	}
	
	if ($formSubmit == "salvaTutto") {
		// E' stata inviata la form con la nuova programmazione oraria
		// azioni sul database
		try {
			$conn = Database::connect();
			// set the PDO error mode to exception
			$conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
				
			// inserisco le nuove configurazioni
			// non cancello e non aggiorno quelle vecchie, inserisco quelle nuove così rimane lo storico
			$stmtString = "INSERT INTO $tabella (idConfigurazioni, radioButtonId, radioButtonNome, configurazione, data, idUtente)
			VALUES (:idConfigurazioni, :radioButtonId, :radioButtonNome, :configurazione, :data, :idUtente)";
			$stmt = $conn->prepare($stmtString);
				
			foreach ($_POST as $name=>$value) {
				if (substr($name,0,6)=="radio_") {
					$idUtente = 1; // in produzione va inserito l'id corretto dell'utente loggato
					$radioButtonNome = null; // forse potrei recuperare il nome del radiobutton oltre che l'id ma penso che non serva a niente
					$stmt->bindParam(':idConfigurazioni', $idConfigurazioni);
					$stmt->bindParam(':radioButtonId', $name);
					$stmt->bindParam(':radioButtonNome', $radioButtonNome);
					$stmt->bindParam(':configurazione', $value);
					$stmt->bindParam(':data', date('Y-m-d H:i:s'));
					$stmt->bindParam(':idUtente', $idUtente);
					$stmt->execute();
				}
			}
	
			Database::disconnect();
		} catch(PDOException $e) {
			echo $sql . "<br>" . $e->getMessage();
	
		} // try catch
	} // if ($formSubmit == "salvaTutto")
	 
		// ora devo leggere le configurazioni presenti per metterle nella form che viene visualizzata:
	try {
		$conn = Database::connect ();
		// set the PDO error mode to exception
		$conn->setAttribute ( PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION );
	
		$radiosChecked = "";
	
		// seleziono il più recente per ogni tipo:
		$sql = "SELECT idConfigurazioni, radioButtonId, radioButtonNome, configurazione, data, idUtente FROM $tabella";
		$sql .= " WHERE data in (SELECT MAX(data) FROM $tabella GROUP BY radiobuttonId)";
		// 		$sql .= " WHERE radioButtonId=$name";
		// 		$sql .= " AND stanza=...";
		// 		$sql .= " DESC";
		// 		$sql .= " LIMIT 1";
		// 		$sql .= " group by radiobuttonId";
	
		/* Mi connetto al DB ed eseguo la query */
		$conn = Database::connect();
		// set the PDO error mode to exception
		$conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		// set the resulting array to associative
		$resultSetFetch = $stmt->setFetchMode(PDO::FETCH_ASSOC);
		$results = $stmt->fetchAll();
	
		// 			echo "numero risultati: " . count($results) . "<br>";
		foreach($results as $result) { //$keyNumero => $valueArrayRiga) {
// 						print_r($result);
			// 			echo "<br>";
			// 			Array ( [idConfigurazioni] => 32 [radioButtonId] => radio_allarmeCamera [radioButtonNome] => [configurazione] => 0 [max(data)] => 2016-04-15 14:44:49 [idUtente] => 1 )
			// memorizzo i comandi per il jQuery
			$configurazione = $result['configurazione'];
			$radioButtonId = $result['radioButtonId'];
			if ($configurazione=="1") {  // se è vero, cioè se vale 1, cioè se il radio button era cliccato su On
				$radiosChecked .= "$('#".$radioButtonId."1').prop('checked', true);" . "\r\n";
				$radiosChecked .= "$('#".$radioButtonId."2').prop('checked', false);" . "\r\n";
			} else {
				$radiosChecked .= "$('#".$radioButtonId."1').prop('checked', false);" . "\r\n";
				$radiosChecked .= "$('#".$radioButtonId."2').prop('checked', true);" . "\r\n";
			}
	
		}
	
	
	
		Database::disconnect ();
	} catch ( PDOException $e ) {
		echo $sql . "<br>" . $e->getMessage ();
	} // try catch
	
	
	require_once 'util/getLastSensorsState.php';
	
?>

<script>
	// devo conservare gli elementi che sono stati cliccati
	$(document).ready(function() {
		$("form .configurazione .rbOff").prop('checked', true);
		<?php
			echo $radiosChecked;
		?>
	});
</script>

<!-- <p class="text-warning">In questa pagina vorrei inserire alcune informazioni per visualizzare  -->
<!-- lo stato del sistema di allarme e i comandi per attivarlo e disattivarlo.</p> -->


<script>

	var iconePresenti = {
		casa_studio: iconePresentiAreaStudio, 
		casa_cucina: iconePresentiAreaCucina, 
		casa_camera: iconePresentiAreaCamera, 
		casa_sala: iconePresentiAreaSala, 
		casa_terrazza1: iconePresentiAreaTerrazza1, 
		casa_terrazza2: iconePresentiAreaTerrazza2, 
		casa_garage: iconePresentiAreaGarage, 
		casa_generale: iconePresentiAreaGenerale
	};	

	// visualizza le icone nella pagina:
// 	console.log("oooooooooooooooo - iconePresentiAreaStudio['luce']= " + iconePresentiAreaStudio['luce']);
// 	console.log("oooooooooooooooo - iconePresentiAreaStudio.luce= " + iconePresentiAreaStudio.luce);
	$(function() {
		console.log("OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO document.ready()");
		for(var stanza in iconePresenti) { // object 
			console.log("stanza= " + stanza); // esempio: casa_studio
// 			console.log("iconePresenti[stanza]= " + iconePresenti[stanza]); // esempio: [object Object]
// 			console.log(JSON.parse(JSON.stringify(iconePresenti[stanza]))); // esempio: Object {allarmeOn: 0, avvolgibile: "-avvolgibile-chiuso", luce: 1}
			var contenutoStanza = iconePresenti[stanza];
// 			console.log("contenutoStanza= " + contenutoStanza); // esempio: [object Object]
// 			console.log("contenutoStanza.luce= " + contenutoStanza.luce); // esempio: 1
			for (var sensore in contenutoStanza) { // object
				if (contenutoStanza.hasOwnProperty(sensore)) {
			      	console.log("   " + sensore + "= " + contenutoStanza[sensore]); // esempio: luce= 1
			      	if (sensore=='allarmeOn') { // una icona è sempre è presente a scelta tra due tipi
				      	if(contenutoStanza[sensore]) {
							$('div.casa_tutta div.'+stanza).removeClass('hidden-xs-up');
// 							console.log('-----div.casa_tutta div.'+stanza+' img.'+contenutoStanza[sensore]);
				      	}
					} else if (contenutoStanza[sensore]) { // per tutte le altre icnone cioè quelle che o ci sono o non ci sono
						$('div.casa_tutta div.'+stanza+' img.'+sensore).removeClass('hidden-xs-up');
// 				      	console.log('-----div.casa_tutta div.'+stanza+' img.'+sensore);
					}
			   } // if
			} // for object contenutoStanza
			console.log("--------");
		} // for object iconePresenti
	});
	
</script>

<!-- <p class="text-warning">Varie informazioni sulla casa.........</p> -->
<p class="lead">Sistema di allarme</p>


<!-- var iconePresentiAreaStudio     =  -->
<!-- {allarmeOn:".$lastSensorsState['radio_allarmeStudio'].", avvolgibile:'".$avvolgibileStudio."', luce:".$lastSensorsState['radio_luceStudio']."}; -->


<div class="casa_tutta textBlack">
	<div class="casa_generale "><!-- <h4>Situazione:</h4> -->
		<div class="iconBig">
			<img title="Porta garage chiusa" alt="garage porta chiusa" src="img/icon/icona-garage-chiuso-big.png" class="hidden-xs-up -porta-chiusa" alt="Porta garage chiusa" />
			<img title="Il sistema di allarme è attivato" alt="Il sistema di allarme è attivato" src="img/icon/icona-allarme-big.png" class="hidden-xs-up allarme" alt="Il sistema di allarme è attivato"/>
			<img title="La sirena dell'allarme sta suonando!!!" alt="La sirena del sistema di allarme sta suonando!!!" src="img/icon/icona-sirena-big.png" class="hidden-xs-up sirena" alt="La sirena dell'allarme sta suonando!!!" />
		</div>
	</div>
	<div class="separazioneAlto"></div>
	<div class="casa_studio hidden-xs-up sfondoRossoTrasparente">
		<h4 class="allarmeOn " title="Il sistema di allarme è attivato nello studio">Studio</h4>
	</div>
	<div class="casa_camera hidden-xs-up sfondoRossoTrasparente">
		<h4 class="allarmeOn " title="Il sistema di allarme è attivato nella camera">Camera</h4>
	</div>
	<div class="casa_sala hidden-xs-up sfondoRossoTrasparente">
		<h4 class="allarmeOn " title="Il sistema di allarme è attivato nella sala">Sala</h4>
	</div>
	<div class="casa_cucina hidden-xs-up sfondoRossoTrasparente">
		<h4 class="allarmeOn " title="Il sistema di allarme è attivato nella cucina">Cucina</h4>
	</div>
	<div class="casa_terrazza1 hidden-xs-up sfondoRossoTrasparente">
		<h4 class="allarmeOn " title="Il sistema di allarme è attivato nella terrazza 1">Terrazza 1</h4>
	</div>
	<div class="casa_terrazza2 hidden-xs-up sfondoRossoTrasparente">
		<h4 class="allarmeOn " title="Il sistema di allarme è attivato nella terrazza 2">Terrazza 2</h4>
	</div>
	<div class="casa_garage hidden-xs-up sfondoRossoTrasparente">
		<h4 class="allarmeOn " title="Il sistema di allarme è attivato nel garage">Garage</h4>
	</div>
</div>


<div class="separazioneAlto"></div>

<form id="configurazione" name="configurazione"  class=" configurazione "  method="post" action="<?php echo htmlspecialchars($_SERVER['PHP_SELF']) . "?page=allarme"; ?>">
	<input type="hidden" name="page" value="allarme">

	<div class="form-group row ">
		<fieldset class="form-group configurazione ">
			<legend class="configurazione "><img alt="allarme" src="img/icon/icona-allarme.png" class="legendImg" alt="allarme" />Allarme:</legend>
			<div class="form-group row ">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl-2 form-control-label">Studio:</label>
				<div class=" buttonSet">
					<input type="radio" id="radio_allarmeStudio1" name="radio_allarmeStudio" value="1" class="rbOn"><label for="radio_allarmeStudio1">On</label>
				    <input type="radio" id="radio_allarmeStudio2" name="radio_allarmeStudio" value="0" class="rbOff"><label for="radio_allarmeStudio2">Off</label>
				</div>  
			</div>
			<div class="form-group row ">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl-2 form-control-label">Camera:</label>
				<div class=" buttonSet">
					<input type="radio" id="radio_allarmeCamera1" name="radio_allarmeCamera" value="1" class="rbOn"><label for="radio_allarmeCamera1">On</label>
				    <input type="radio" id="radio_allarmeCamera2" name="radio_allarmeCamera" value="0" class="rbOff"><label for="radio_allarmeCamera2">Off</label>
				</div>
			</div>
			<div class="form-group row ">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl-2 form-control-label">Sala:</label>
				<div class=" buttonSet">
					<input type="radio" id="radio_allarmeSala1" name="radio_allarmeSala" value="1" class="rbOn"><label for="radio_allarmeSala1">On</label>
				    <input type="radio" id="radio_allarmeSala2" name="radio_allarmeSala" value="0" class="rbOff"><label for="radio_allarmeSala2">Off</label>
				</div>
			</div>
			<div class="form-group row ">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl-2 form-control-label">Cucina:</label>
				<div class=" buttonSet">
					<input type="radio" id="radio_allarmeCucina1" name="radio_allarmeCucina" value="1" class="rbOn"><label for="radio_allarmeCucina1">On</label>
				    <input type="radio" id="radio_allarmeCucina2" name="radio_allarmeCucina" value="0" class="rbOff"><label for="radio_allarmeCucina2">Off</label>
				</div>
			</div>
			<div class="form-group row ">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl-2 form-control-label">Garage:</label>
				<div class=" buttonSet">
					<input type="radio" id="radio_allarmeGarage1" name="radio_allarmeGarage" value="1" class="rbOn"><label for="radio_allarmeGarage1">On</label>
				    <input type="radio" id="radio_allarmeGarage2" name="radio_allarmeGarage" value="0" class="rbOff"><label for="radio_allarmeGarage2">Off</label>
				</div>
			</div>
			<button type="button" id="AttivaTuttiAllarmi" class="btn btn-warning OnOffAll" onclick="buttonsAll(1,'allarme');">Attiva tutti</button>
			<button type="button" id="DisattivaTuttiAllarmi" class="btn btn-warning OnOffAll" onclick="buttonsAll(0,'allarme');">Disattiva tutti</button>
		</fieldset>
		<button type="submit" class="btn btn-primary " name="Submit" value="salvaTutto" >Salva tutto</button>
	</div>


</form>







