<?php
	require_once 'util/log.php';
	require_once 'util/session.php';
	//MySQL Database Connect
	require_once 'util/database.php';
	
	$tabella = "configurazioni";
	$idConfigurazioni = null;  // autoincrement
	$radiosChecked = ""; // ci memorizzo una stringa che contiene istruzioni jQuery generate dal PHP
	
// 	echo "<br><br><br>";
// 	print_r($_POST);
// 	echo "<br><br><br>";
	
	$formSubmit = null;
	if (isset($_POST['Submit'])) {
		$formSubmit = $_POST["Submit"];
	}
	
	if ($formSubmit == "salvaTutto") {
		// E' stata inviata la form con la nuova programmazione oraria
		// azioni sul database
		try {
			$conn = Database::connect();
			// set the PDO error mode to exception
			$conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
			
			// inserisco le nuove configurazioni
			// non cancello e non aggiorno quelle vecchie, inserisco quelle nuove così rimane lo storico
			$stmtString = "INSERT INTO $tabella (idConfigurazioni, radioButtonId, radioButtonNome, configurazione, data, idUtente)
			VALUES (:idConfigurazioni, :radioButtonId, :radioButtonNome, :configurazione, :data, :idUtente)";
			$stmt = $conn->prepare($stmtString);
			
			foreach ($_POST as $name=>$value) {
				if (substr($name,0,6)=="radio_") {
					$idUtente = 1; // in produzione va inserito l'id corretto dell'utente loggato
					$radioButtonNome = null; // forse potrei recuperare il nome del radiobutton oltre che l'id ma penso che non serva a niente
					$stmt->bindParam(':idConfigurazioni', $idConfigurazioni);
					$stmt->bindParam(':radioButtonId', $name);
					$stmt->bindParam(':radioButtonNome', $radioButtonNome);
					$stmt->bindParam(':configurazione', $value);
					$stmt->bindParam(':data', date('Y-m-d H:i:s'));
					$stmt->bindParam(':idUtente', $idUtente);
					$stmt->execute();
				}
			}
		
			Database::disconnect();
		} catch(PDOException $e) {
			echo $sql . "<br>" . $e->getMessage();
		
		} // try catch
	} // if ($formSubmit == "salvaTutto")
	  
// ora devo leggere le configurazioni presenti per metterle nella form che viene visualizzata:
	try {
		$conn = Database::connect ();
		// set the PDO error mode to exception
		$conn->setAttribute ( PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION );
		
		$radiosChecked = "";

		// seleziono il più recente per ogni tipo:
		$sql = "SELECT idConfigurazioni, radioButtonId, radioButtonNome, configurazione, data, idUtente FROM $tabella";
		$sql .= " WHERE data in (SELECT MAX(data) FROM $tabella GROUP BY radiobuttonId)";
// 		$sql .= " WHERE radioButtonId=$name";
// 		$sql .= " AND stanza=...";
// 		$sql .= " DESC";
// 		$sql .= " LIMIT 1";
// 		$sql .= " group by radiobuttonId";
				
		/* Mi connetto al DB ed eseguo la query */
		$conn = Database::connect();
		// set the PDO error mode to exception
		$conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		// set the resulting array to associative
		$resultSetFetch = $stmt->setFetchMode(PDO::FETCH_ASSOC);
		$results = $stmt->fetchAll();
		
// 			echo "numero risultati: " . count($results) . "<br>";
		foreach($results as $result) { //$keyNumero => $valueArrayRiga) {
// 			print_r($result);
// 			echo "<br>";
// 			Array ( [idConfigurazioni] => 32 [radioButtonId] => radio_allarmeCamera [radioButtonNome] => [configurazione] => 0 [max(data)] => 2016-04-15 14:44:49 [idUtente] => 1 )
			// memorizzo i comandi per il jQuery
			$configurazione = $result['configurazione'];
			$radioButtonId = $result['radioButtonId'];			
			if ($configurazione=="1") {  // se è vero, cioè se vale 1, cioè se il radio button era cliccato su On
				$radiosChecked .= "$('#".$radioButtonId."1').prop('checked', true);" . "\r\n";
				$radiosChecked .= "$('#".$radioButtonId."2').prop('checked', false);" . "\r\n";
			} else {
				$radiosChecked .= "$('#".$radioButtonId."1').prop('checked', false);" . "\r\n";
				$radiosChecked .= "$('#".$radioButtonId."2').prop('checked', true);" . "\r\n";
			}
				
		}



		Database::disconnect ();
	} catch ( PDOException $e ) {
		echo $sql . "<br>" . $e->getMessage ();
	} // try catch
		
	?>
	
<script>
	// devo conservare gli elementi che sono stati cliccati
	$(document).ready(function() {
		$("form .configurazione .rbOff").prop('checked', true);
		<?php
			echo $radiosChecked;
		?>
	});
</script>

<!-- <p class="text-primary">Impostazioni</p> -->
<p class="lead">Configurazioni</p>
<p></p>


  
<form id="configurazione" name="configurazione"  class=" configurazione "  method="post" action="<?php echo htmlspecialchars($_SERVER['PHP_SELF']) . "?page=configurazioni"; ?>">
	<input type="hidden" name="page" value="configurazioni">
	<div class="form-group row " id="luci" name="luci">
		<fieldset class="form-group configurazione">
			<legend class="configurazione "><img alt="lampadina" src="img/icon/icona-lampadina.png" class="legendImg" />Luci:</legend>
			<div class="form-group row configurazione ">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl-2 form-control-label ">Studio:</label>
				<div class=" buttonSet ">
					<input type="radio" id="radio_luceStudio1" name="radio_luceStudio" value="1" class="rbOn"><label for="radio_luceStudio1">Accesa</label>
				    <input type="radio" id="radio_luceStudio2" name="radio_luceStudio" value="0" class="rbOff"><label for="radio_luceStudio2">Spenta</label>
				</div>  
			</div>
			<div class="form-group row ">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl-2 form-control-label">Camera:</label>
				<div class=" buttonSet">
					<input type="radio" id="radio_luceCamera1" name="radio_luceCamera" value="1" class="rbOn"><label for="radio_luceCamera1">Accesa</label>
				    <input type="radio" id="radio_luceCamera2" name="radio_luceCamera" value="0" class="rbOff"><label for="radio_luceCamera2">Spenta</label>
				</div>
			</div>
			<div class="form-group row ">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl-2 form-control-label">Sala:</label>
				<div class=" buttonSet">
					<input type="radio" id="radio_luceSala1" name="radio_luceSala" value="1" class="rbOn"><label for="radio_luceSala1">Accesa</label>
				    <input type="radio" id="radio_luceSala2" name="radio_luceSala" value="0" class="rbOff"><label for="radio_luceSala2">Spenta</label>
				</div>
			</div>
			<div class="form-group row ">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl-2 form-control-label">Cucina:</label>
				<div class=" buttonSet">
					<input type="radio" id="radio_luceCucina1" name="radio_luceCucina" value="1" class="rbOn"><label for="radio_luceCucina1">Accesa</label>
				    <input type="radio" id="radio_luceCucina2" name="radio_luceCucina" value="0" class="rbOff"><label for="radio_luceCucina2">Spenta</label>
				</div>
			</div>
			<div class="form-group row ">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl-2 form-control-label">Terrazza 1:</label>
				<div class=" buttonSet">
					<input type="radio" id="radio_luceTerrazza11" name="radio_luceTerrazza1" value="1" class="rbOn"><label for="radio_luceTerrazza11">Accesa</label>
				    <input type="radio" id="radio_luceTerrazza12" name="radio_luceTerrazza1" value="0" class="rbOff"><label for="radio_luceTerrazza12">Spenta</label>
				</div>
			</div>
			<div class="form-group row ">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl-2 form-control-label">Terrazza 2:</label>
				<div class=" buttonSet">
					<input type="radio" id="radio_luceTerrazza21" name="radio_luceTerrazza2" value="1" class="rbOn"><label for="radio_luceTerrazza21">Accesa</label>
				    <input type="radio" id="radio_luceTerrazza22" name="radio_luceTerrazza2" value="0" class="rbOff"><label for="radio_luceTerrazza22">Spenta</label>
				</div>
			</div>
			<div class="form-group row ">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl-2 form-control-label">Garage:</label>
				<div class=" buttonSet bottoneLuce">
					<input type="radio" id="radio_luceGarage1" name="radio_luceGarage" value="1" class="rbOn"><label for="radio_luceGarage1">Accesa</label>
				    <input type="radio" id="radio_luceGarage2" name="radio_luceGarage" value="0" class="rbOff"><label for="radio_luceGarage2">Spenta</label>
				</div>
			</div>
			<button type="button" id="AccendiTutteLuci" class="btn btn-warning OnOffAll" onclick="buttonsAll(1,'luce');">Accendi tutti</button>
			<button type="button" id="SpengiTutteLuci" class="btn btn-warning OnOffAll" onclick="buttonsAll(0,'luce');">Spengi tutti</button>
		</fieldset>
		<button type="submit" class="btn btn-primary " name="Submit" value="salvaTutto" >Salva tutto</button>
	</div>

	<div class="form-group row " id="avvolgibili" name="avvolgibili">
		<fieldset class="form-group configurazione ">
			<legend class="configurazione "><img alt="avvolgibili" src="img/icon/icona-avvolgibile-chiuso.png" class="legendImg" />Avvolgibili:</legend>
			<div class="form-group row ">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl-2 form-control-label">Studio:</label>
				<div class=" buttonSet">
					<input type="radio" id="radio_avvolgibileStudio1" name="radio_avvolgibileStudio" value="1" class="rbOn"><label for="radio_avvolgibileStudio1">Aperto</label>
				    <input type="radio" id="radio_avvolgibileStudio2" name="radio_avvolgibileStudio" value="0" class="rbOff"><label for="radio_avvolgibileStudio2">Chiuso</label>
				</div>  
			</div>
			<div class="form-group row">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl-2 form-control-label">Camera:</label>
				<div class=" buttonSet">
					<input type="radio" id="radio_avvolgibileCamera1" name="radio_avvolgibileCamera" value="1" class="rbOn"><label for="radio_avvolgibileCamera1">Aperto</label>
				    <input type="radio" id="radio_avvolgibileCamera2" name="radio_avvolgibileCamera" value="0" class="rbOff"><label for="radio_avvolgibileCamera2">Chiuso</label>
				</div>
			</div>
			<div class="form-group row">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl-2 form-control-label">Sala:</label>
				<div class=" buttonSet">
					<input type="radio" id="radio_avvolgibileSala1" name="radio_avvolgibileSala" value="1" class="rbOn"><label for="radio_avvolgibileSala1">Aperto</label>
				    <input type="radio" id="radio_avvolgibileSala2" name="radio_avvolgibileSala" value="0" class="rbOff"><label for="radio_avvolgibileSala2">Chiuso</label>
				</div>
			</div>
			<div class="form-group row">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl-2 form-control-label">Cucina:</label>
				<div class=" buttonSet">
					<input type="radio" id="radio_avvolgibileCucina1" name="radio_avvolgibileCucina" value="1" class="rbOn"><label for="radio_avvolgibileCucina1">Aperto</label>
				    <input type="radio" id="radio_avvolgibileCucina2" name="radio_avvolgibileCucina" value="0" class="rbOff"><label for="radio_avvolgibileCucina2">Chiuso</label>
				</div>
			</div>
			<button type="button" id="ApriTuttiAvvolgibili" class="btn btn-warning OnOffAll" onclick="buttonsAll(1,'avvolgibili');">Apri tutti</button>
			<button type="button" id="ChiudiTuttiAvvolgibili" class="btn btn-warning OnOffAll" onclick="buttonsAll(0,'avvolgibili');">Chiudi tutti</button>
		</fieldset>
		<button type="submit" class="btn btn-primary " name="Submit" value="salvaTutto" >Salva tutto</button>
	</div>

	<div class="form-group row ">
		<fieldset class="form-group configurazione " id="portaGarage" name="portaGarage">
			<legend class="configurazione "><img alt="porta garage" src="img/icon/icona-garage-chiuso.png" class="legendImg" />Garage:</legend>
			<div class="form-group row ">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl-2 form-control-label">Porta:</label>
				<div class=" buttonSet">
					<input type="radio" id="radio_portaGarage1" name="radio_portaGarage" value="1" class="rbOn"><label for="radio_portaGarage1">Aperto</label>
				    <input type="radio" id="radio_portaGarage2" name="radio_portaGarage" value="0" class="rbOff"><label for="radio_portaGarage2">Chiuso</label>
				</div>  
			</div>
		</fieldset>
		<button type="submit" class="btn btn-primary " name="Submit" value="salvaTutto" >Salva tutto</button>
	</div>

	<div class="form-group row ">
		<fieldset class="form-group configurazione " id="allarme" name="allarme">
			<legend class="configurazione "><img alt="allarme" src="img/icon/icona-allarme.png" class="legendImg" />Allarme:</legend>
			<div class="form-group row ">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl-2 form-control-label">Studio:</label>
				<div class=" buttonSet">
					<input type="radio" id="radio_allarmeStudio1" name="radio_allarmeStudio" value="1" class="rbOn"><label for="radio_allarmeStudio1">On</label>
				    <input type="radio" id="radio_allarmeStudio2" name="radio_allarmeStudio" value="0" class="rbOff"><label for="radio_allarmeStudio2">Off</label>
				</div>  
			</div>
			<div class="form-group row ">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl-2 form-control-label">Camera:</label>
				<div class=" buttonSet">
					<input type="radio" id="radio_allarmeCamera1" name="radio_allarmeCamera" value="1" class="rbOn"><label for="radio_allarmeCamera1">On</label>
				    <input type="radio" id="radio_allarmeCamera2" name="radio_allarmeCamera" value="0" class="rbOff"><label for="radio_allarmeCamera2">Off</label>
				</div>
			</div>
			<div class="form-group row ">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl-2 form-control-label">Sala:</label>
				<div class=" buttonSet">
					<input type="radio" id="radio_allarmeSala1" name="radio_allarmeSala" value="1" class="rbOn"><label for="radio_allarmeSala1">On</label>
				    <input type="radio" id="radio_allarmeSala2" name="radio_allarmeSala" value="0" class="rbOff"><label for="radio_allarmeSala2">Off</label>
				</div>
			</div>
			<div class="form-group row ">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl-2 form-control-label">Cucina:</label>
				<div class=" buttonSet">
					<input type="radio" id="radio_allarmeCucina1" name="radio_allarmeCucina" value="1" class="rbOn"><label for="radio_allarmeCucina1">On</label>
				    <input type="radio" id="radio_allarmeCucina2" name="radio_allarmeCucina" value="0" class="rbOff"><label for="radio_allarmeCucina2">Off</label>
				</div>
			</div>
			<div class="form-group row ">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl-2 form-control-label">Garage:</label>
				<div class=" buttonSet">
					<input type="radio" id="radio_allarmeGarage1" name="radio_allarmeGarage" value="1" class="rbOn"><label for="radio_allarmeGarage1">On</label>
				    <input type="radio" id="radio_allarmeGarage2" name="radio_allarmeGarage" value="0" class="rbOff"><label for="radio_allarmeGarage2">Off</label>
				</div>
			</div>
			<button type="button" id="AttivaTuttiAllarmi" class="btn btn-warning OnOffAll" onclick="buttonsAll(1,'allarme');">Attiva tutti</button>
			<button type="button" id="DisattivaTuttiAllarmi" class="btn btn-warning OnOffAll" onclick="buttonsAll(0,'allarme');">Disattiva tutti</button>
		</fieldset>
		<button type="submit" class="btn btn-primary " name="Submit" value="salvaTutto" >Salva tutto</button>
	</div>

<hr>
<h4 class="text-danger">Solo per le simulazioni nell'ambiente di test (in produzione sono attivati dai sensori che si trovano in casa):</h4>

	<div class="form-group row ">
		<fieldset class="form-group configurazione ">
			<legend class="configurazione ">Sensori:</legend>
			<div class="form-group row configurazione ">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl-3 form-control-label"><img alt="fumo" src="img/icon/icona-fumo-incendio.png" class="inputImg" />Fumo casa:</label>		
				<div class=" buttonSet">
					<input type="radio" id="radio_sensoreFumoCasa1" name="radio_sensoreFumoCasa" value="1" class="rbOn"><label for="radio_sensoreFumoCasa1">On</label>
				    <input type="radio" id="radio_sensoreFumoCasa2" name="radio_sensoreFumoCasa" value="0" class="rbOff"><label for="radio_sensoreFumoCasa2">Off</label>
				</div>  
			</div>
			<div class="form-group row ">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl-3 form-control-label"><img alt="fumo" src="img/icon/icona-fumo-incendio.png" class="inputImg" />Fumo garage:</label>
				<div class=" buttonSet">
					<input type="radio" id="radio_sensoreFumoGarage1" name="radio_sensoreFumoGarage" value="1" class="rbOn"><label for="radio_sensoreFumoGarage1">On</label>
				    <input type="radio" id="radio_sensoreFumoGarage2" name="radio_sensoreFumoGarage" value="0" class="rbOff"><label for="radio_sensoreFumoGarage2">Off</label>
				</div>
			</div>
			<div class="form-group row ">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl-3 form-control-label"><img alt="allagamento" src="img/icon/icona-allagamento.png" class="inputImg" />Allagamento:</label>
				<div class=" buttonSet">
					<input type="radio" id="radio_sensoreAllagamentoCasa1" name="radio_sensoreAllagamentoCasa" value="1" class="rbOn"><label for="radio_sensoreAllagamentoCasa1">On</label>
				    <input type="radio" id="radio_sensoreAllagamentoCasa2" name="radio_sensoreAllagamentoCasa" value="0" class="rbOff"><label for="radio_sensoreAllagamentoCasa2">Off</label>
				</div>
			</div>
			<div class="form-group row ">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl3 form-control-label"><img alt="gas" src="img/icon/icona-gas.png" class="inputImg" />Fuga gas:</label>
				<div class=" buttonSet">
					<input type="radio" id="radio_sensoreFugaGasCasa1" name="radio_sensoreFugaGasCasa" value="1" class="rbOn"><label for="radio_sensoreFugaGasCasa1">On</label>
				    <input type="radio" id="radio_sensoreFugaGasCasa2" name="radio_sensoreFugaGasCasa" value="0" class="rbOff"><label for="radio_sensoreFugaGasCasa2">Off</label>
				</div>
			</div>
			<div class="form-group row ">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl3 form-control-label"><img alt="sirena allarme" src="img/icon/icona-sirena.png" class="inputImg" />Sirena allarme:</label>
				<div class=" buttonSet">
					<input type="radio" id="radio_sirenaAllarme1" name="radio_sirenaAllarme" value="1" class="rbOn"><label for="radio_sirenaAllarme1">On</label>
				    <input type="radio" id="radio_sirenaAllarme2" name="radio_sirenaAllarme" value="0" class="rbOff"><label for="radio_sirenaAllarme2">Off</label>
				</div>
			</div>
			<div class="form-group row ">
				<label class="col-sm-3 col-md-3 col-lg-3 col-xl3 form-control-label"><img alt="tensione 220V" src="img/icon/icona-tensione.png" class="inputImg" />Tensione 220V:</label>
				<div class=" buttonSet">
					<input type="radio" id="radio_tensione1" name="radio_tensione" value="1" class="rbOn"><label for="radio_tensione1">On</label>
				    <input type="radio" id="radio_tensione2" name="radio_tensione" value="0" class="rbOff"><label for="radio_tensione2">Off</label>
				</div>
			</div>
		</fieldset>
		<button type="submit" class="btn btn-primary " name="Submit" value="salvaTutto" >Salva tutto</button>
	</div>

</form>




