<?php 

require_once 'util/database.php';

// leggo dal db quali sono i sensori attivi e li metto in un avariabile javascript per utilizzarli da jquery
// servono per visualizzare solo le icone attive sulla mappa
// posso impostare questa variabile in un punto qualunque della pagina
// perché la funzione jquery per disegnare le icone sulla mappa
// viene lanciata solo dopo che il documento è stato interamente caricato:
// file:
// js/jquery.rwdImageMaps.js
// funzione:
// $('img[usemap]').rwdImageMaps(disegnaIconeSuMappa);
// dal file:
// script.js
$db = new Database();
$lastSensorsState = $db ->getLastSensorsState();
// 	print_r($lastSensorsState);
// 	echo "<br>";
// 	$lastSensorsState:
// 	Array
// 	(
// 	    [radio_luceStudio] => 0
// 	    [radio_luceCamera] => 1
// 	    [radio_luceSala] => 1
// 	    [radio_luceCucina] => 0
// 	    [radio_luceTerrazza1] => 0
// 	    [radio_luceTerrazza2] => 0
// 	    [radio_avvolgibileStudio] => 0
// 	    [radio_avvolgibileCamera] => 0
// 	    [radio_avvolgibileSala] => 0
// 	    [radio_avvolgibileCucina] => 0
// 	    [radio_portaGarage] => 0
// 	    [radio_allarmeStudio] => 1
// 	    [radio_allarmeCamera] => 0
// 	    [radio_allarmeSala] => 0
// 	    [radio_allarmeCucina] => 0
// 	    [radio_allarmeGarage] => 0
// 	    [radio_sensoreFumoCasa] => 0
// 	    [radio_sensoreFumoGarage] => 0
// 	    [radio_sensoreAllagamentoCasa] => 0
// 	    [radio_sensoreFugaGasCasa] => 0
// 	    [radio_sirenaAllarme] => 0
// 	)

// inizializzo gli oggetti javascript che contengono le informazioni delle icone da visualizzare sulla pinatina della casa,
// leggo i valori in php (dal database in fase di test, dal database e da chiamate rest in json in produzione)
// e li scrivo in php sulla pagina html in un tag script in modo che diventino una assegnazione javascript,
// il jquery che li utilizza li vede perché quesi valori sono scritti nella pagina html mentre il jquery viene lanciato solamente dopo che la pagina è stata interamente caricata:
$avvolgibileStudio = "-avvolgibile-chiuso";
if ($lastSensorsState['radio_avvolgibileStudio']) {
	$avvolgibileStudio = "-avvolgibile-aperto";
}
$avvolgibileCamera = "-avvolgibile-chiuso";
if ($lastSensorsState['radio_avvolgibileCamera']) {
	$avvolgibileCamera = "-avvolgibile-aperto";
}
$avvolgibileSala = "-avvolgibile-chiuso";
if ($lastSensorsState['radio_avvolgibileSala']) {
	$avvolgibileSala = "-avvolgibile-aperto";
}
$avvolgibileCucina = "-avvolgibile-chiuso";
if ($lastSensorsState['radio_avvolgibileCucina']) {
	$avvolgibileCucina = "-avvolgibile-aperto";
}
$portaGarage = "-porta-chiusa";
if ($lastSensorsState['radio_portaGarage']) {
	$portaGarage = "-porta-aperta";
}
$statoRiscaldamento = $db->getRiscaldamentoStatus();
if(!$statoRiscaldamento) {$statoRiscaldamento=0;} // Altrimenti quando stampo (nell'echo qui sotto per popolare gli oggetti js) il false non viene scritto niente
// 	echo "statoRiscaldamento = $statoRiscaldamento <br>";
$statoIrrigazione = $db->getIrrigazioneStatus();
if(!$statoIrrigazione) {$statoIrrigazione=0;}
// 	echo "statoIrrigazione = $statoIrrigazione <br>";
$statoAllarme = $db->getAlarmStatus();
if(!$statoAllarme) {$statoAllarme=0;}
// 	echo "statoAllarme = $statoAllarme <br>";
$statoTensione = $db->getVoltageStatus();
if($statoTensione) {$statoTensione="On";} else {$statoTensione="Off";}
// 	echo "statoTensione = $statoTensione <br>";
echo "<script>
			var totaleIconeNellaStanza = 0;
			var iconePresentiAreaStudio     = {allarmeOn:".$lastSensorsState['radio_allarmeStudio'].", avvolgibile:'".$avvolgibileStudio."', luce:".$lastSensorsState['radio_luceStudio'].", temperatura:true};
			var iconePresentiAreaCucina     = {allarmeOn:".$lastSensorsState['radio_allarmeCucina'].", avvolgibile:'".$avvolgibileCucina."', luce:".$lastSensorsState['radio_luceCucina'].", fumo:".$lastSensorsState['radio_sensoreFumoCasa'].", allagamento:".$lastSensorsState['radio_sensoreAllagamentoCasa'].", gas:".$lastSensorsState['radio_sensoreFugaGasCasa']."};
			var iconePresentiAreaCamera     = {allarmeOn:".$lastSensorsState['radio_allarmeCamera'].", avvolgibile:'".$avvolgibileCamera."', luce:".$lastSensorsState['radio_luceCamera']."};
			var iconePresentiAreaSala       = {allarmeOn:".$lastSensorsState['radio_allarmeSala'].", avvolgibile:'".$avvolgibileSala."', luce:".$lastSensorsState['radio_luceSala'].", temperatura:true, umidita:true, pressione:true};
			var iconePresentiAreaTerrazza1  = {luce:".$lastSensorsState['radio_luceTerrazza1']."};
			var iconePresentiAreaTerrazza2  = {luce:".$lastSensorsState['radio_luceTerrazza2']."};
			var iconePresentiAreaGarage     = {allarmeOn:".$lastSensorsState['radio_allarmeGarage'].", portaGarage:'".$portaGarage."', luce:".$lastSensorsState['radio_luceGarage'].", fumo:".$lastSensorsState['radio_sensoreFumoGarage']."};
			var iconePresentiAreaGenerale   = {riscaldamento: $statoRiscaldamento, allarme:$statoAllarme, sirena:".$lastSensorsState['radio_sirenaAllarme'].", irrigazione: $statoIrrigazione, tensione:'$statoTensione'};
			</script>";
// 	echo "<script>
// 			var totaleIconeNellaStanza = 0;
// 			var iconePresentiAreaStudio     = {allarmeOn: false, avvolgibile:'-avvolgibile-aperto', luce:true};
// 			var iconePresentiAreaCucina     = {allarmeOn: false, avvolgibile:'-avvolgibile-chiuso', luce:true, fumo:true, allagamento:true, gas:true};
// 			var iconePresentiAreaCamera     = {allarmeOn: true, avvolgibile:'-avvolgibile-chiuso', luce:true};
// 			var iconePresentiAreaSala       = {allarmeOn: true, avvolgibile:'-avvolgibile-aperto', luce:true, temperatura:true, umidita:true, pressione:true};
// 			var iconePresentiAreaTerrazza1  = {luce:true};
// 			var iconePresentiAreaTerrazza2  = {luce:true};
// 			var iconePresentiAreaGarage     = {allarmeOn: false, portaGarage:'-porta-aperta', luce:true, fumo:true};
// // 			var iconePresentiAreaEsterno    = {irrigazione: true, luce:true};
// 			var iconePresentiAreaGenerale   = {riscaldamento: true, allarme:true, sirena:true, irrigazione: true};
// 		  </script>";
