local configurations = {}

print("configurations.lua - Inizio ******")

--impostazione GPIO
    -- pin=0 -- GPIO16
    -- pin=1 -- GPIO05
    -- pin=2 -- GPIO04
    -- pin=3 -- GPIO00 (flash pin)
    -- pin=4 -- GPIO02
    -- pin=5 -- GPIO14 SPI - HSPICLK
    -- pin=6 -- GPIO12 SPI - HSPIQ
    -- pin=7 -- GPIO13 SPI - HSPID
    -- pin=8 -- GPIO15 SPI - HSPICS
    -- pin=9 -- GPIO03 RX
    -- pin=10 -- GPIO01 TX
    -- pin=11 -- GPIO09
    -- pin=12 -- GPIO10
    
-- pin per accendere e spengere Arduino:
--pinSwitch=4 -- GPIO02 (non va bene, quando si accende si blocca la esp con la luce blu accesa)
pinSwitch=2 -- GPIO04
-- pin per fare il reset ad Arduino:
pinSwReset=1 -- GPIO05

gpio.mode(pinSwitch,gpio.OUTPUT)
gpio.mode(pinSwReset,gpio.OUTPUT)


print('configurations.lua - pinSwitch - LOW')
gpio.write(pinSwitch,gpio.LOW)
print('configurations.lua - pinSwReset - LOW')
gpio.write(pinSwReset,gpio.LOW)

--print("Accendo Arduino dopo 2 secondi (2.000 ms)")
tmr.alarm( 3, 500, 0, function()
    print('configurations.lua - pinSwitch - HIGH (--AVVIO INIZIALE ARDUINO--)')
    gpio.write(pinSwitch,gpio.HIGH)
    tmr.stop(3)
end)



print('configurations.lua - impostazione variabili')
ipArduino = '192.168.10.151'
ipCubiboard = '192.168.10.4'


print("configurations.lua - Fine ******")

return configurations
