local connectionFunctions = {}

print("connectionFunctions.lua - Inizio ******")

function testConnection()
    print('connectionFunctions.lua - testConnection - inizio')
    print('connectionFunctions.lua - testConnection - success(02)= ' ..  tostring(success))
    print('connectionFunctions.lua - testConnectionEseguito= ' ..  tostring(testConnectionEseguito))
    -- ad ogni connessione il 'receive' viene chiamato piu' volte, percio' anche questa funzione viene chiamata piu' volte
    -- per farla chiamare una volta sola ad ogni connessione utilizzo la variabile booleana 'testConnectionEseguito'
    -- in questo caso questo controllo non serve perche' devo usare il 'disconnection' e non il 'receive'
    -- perche' se la connessione non funziona non passo per il 'receive' ma solo per il 'disconnection'
    -- percio' faccio lanciare la funzione testConnection() dal 'disconnection' e posso controllare se la variabile success e' true o false
    if (not testConnectionEseguito) then
        if (success) then
            --inviare un messaggio alla Cubieborad per dire che il controllo di Arduino e' ok
            --print('001')
            -- local trovatoOkInizio, trovatoOkFine  = string.find(payload, "OK")
            sendDataToServer("1")
        else
            --lanciare la funzione per togliere la corrente ad Arduino
            --e poi lanciare la funzione per il reset software per Arduino (altrimenti l'ethernet shield non si connette)
            print('connectionFunctions.lua - testConnection - Lancio il reset HW')
            switchOffAndOnArduino()
            --print('testConnection - Aspetto 2 secondi tra il reset HW e il reset SW')
            --tmr.delay(2000000) -- 2 secondi
            print('connectionFunctions.lua - testConnection - Lancio il reset SW')
            --tmr.delay(2000000) -- 2 secondi
            softwareResetArduino()
            sendDataToServer("0")
        end
        testConnectionEseguito=true
    end
    print('connectionFunctions.lua - testConnection - fine')
end

function sendDataToServer(esito)
    -- invio un essaggio alla Cubieborad per dire che il controllo di Arduino e' ok
    print('connectionFunctions.lua - sendDataToServer - inizio')
    --tmr.delay(1000000) -- 1 secondo
    print('connectionFunctions.lua - sendDataToServer - esito= ' .. esito)
    esitoDescrizione = ""

    if (esito == "1") then
        esitoDescrizione = "Arduino%20e%20ethernetshield%20funzionano%20correttamente"
    else
        --esito = "0"
        esitoDescrizione = "Ho%20dovuto%20riavviare%20Arduino"
    end

    --[[
    connServer = nil
    connServer = net.createConnection(net.TCP, 0)
    connServer:on("connection", function(connServer, payload) print('--Connected Server') print(payload) end)
    connServer:on("receive", function(connServer, payload) print('--Receive Server') print(payload) end)
    connServer:on("disconnection", function(connServer, payload) print('--Disconnected Server--------------------------') print(payload) end)
    connServer:connect(80,ipCubiboard)
    --]]
    --[[
    sk=net.createConnection(net.TCP, 0) 
    sk:on("receive", handleHTTP)
    sk:on("connection", function(sck) 
        sck:send("GET / HTTP/1.1\r\nHost: google.com\r\nConnection: keep-alive\r\nAccept: */*\r\n\r\n") 
      end) 
    sk:connect(80,"google.com")
    --]]
    --[[
    function foo()
      conn = net.createConnection(net.TCP, 0)
      conn:on("connection", function() 
        print("connected") 
        text = "foo"
        print(text)
        conn:send(text)
        conn:close()
      end)
      conn:connect(2301,"192.168.1.3")
    end
    --]]

    --conn:close() -- Devo essere sicuro che la connessione precedente sia chiusa
    connServer = net.createConnection(net.TCP, 0)
    connServer:on("sent", function(conn, payload) print('connectionFunctions.lua - --connServer - sent') end)
    connServer:on("receive", function(connServer, payload) print('connectionFunctions.lua - connServer - receive') end)
    connServer:on("connection", function()
            print('connectionFunctions.lua - --conn - connection')
            connServer:send('GET /diy/logDataFromArduinoAlarmController.php?idDispositivo=4&esito=' .. esito .. '&idDispositivoControllato=1&esitoDescrizione=' .. esitoDescrizione .. '&ip=' .. myIp .. ' HTTP/1.1\r\n\Host: '..ipCubiboard..'\r\nAccept: */*\r\nUser-Agent: Mozilla/4.0 (compatible; esp8266 Lua; Windows NT 5.1)\r\n\r\n')
            --connServer:close()
        end)
    connServer:on("disconnection", function(connServer, payload) print('connectionFunctions.lua - --connServer - disconnection--------------------------') end)
    connServer:connect(80,ipCubiboard)
        


    print('connectionFunctions.lua - sendDataToServer - esito= ' .. esito)
    print('connectionFunctions.lua - sendDataToServer - esitoDescrizione= ' .. esitoDescrizione)

    --connServer:send('GET /diy/logDataFromArduinoAlarmController.php?idDispositivo=4&esito=' .. esito .. '&esitoDescrizione=' .. esitoDescrizione .. '&ip=' .. myIp .. ' HTTP/1.1\r\n\Host: '..ipCubiboard..'\r\nAccept: */*\r\nUser-Agent: Mozilla/4.0 (compatible; esp8266 Lua; Windows NT 5.1)\r\n\r\n')
    --connServer:send('GET /diy/logDataFromArduinoAlarmController.php?idDispositivo=4&esito=' .. esito .. '&ip=' .. myIp .. ' HTTP/1.1\r\n\Host: '..ipCubiboard..'\r\nAccept: */*\r\nUser-Agent: Mozilla/4.0 (compatible; esp8266 Lua; Windows NT 5.1)\r\n\r\n')
    print('connectionFunctions.lua - sendDataToServer - fine')
end

print("connectionFunctions.lua - connectionFunctions.lua - Fine ******")

return connectionFunctions
