print("controlArduino.lua - Inizio ******")

--  Note that require() will automatically search for xxx.lc followed by xxx.lua, so the code will work for both source and compiled variants.

package.loaded.connectToWifi       = nil
package.loaded.configurations      = nil
package.loaded.arduinoFunctions    = nil
package.loaded.connectionFunctions = nil
local connectToWifiModule       = require "connectToWifi"
local configurationsModule      = require "configurations"
local arduinoFunctionsModule    = require "arduinoFunctions"
local connectionFunctionsModule = require "connectionFunctions"

print("Lacio il reset iniziale ad Arduino 3 secondi dopo l'accensione")
--[[
tmr.alarm( 4, 3000, 0, function()
    softwareResetArduino()
    tmr.stop(4)
end)
]]--
softwareResetArduino()
print("Ho laciato il reset iniziale ad Arduino 3 secondi dopo l'accensione")


success=false

function successTrue()
    print('successTrue - inizio')
    success=true
    print('successTrue - fine')
end

--------------------------------------------------------------------
-- N.B.:
-- Non posso inserire i delay quando faccio le connessioni
-- perché è tutto asincrono e non funziona più niente come dovrebbe
--------------------------------------------------------------------

--[[
commento
--]]

--------run function every 600.000ms (10 minuti)--------
print("controlArduino.lua - Faccio il controllo ogni 5 minuti - 300.000 ms")
--print("Faccio il controllo ogni 30 secondi - 30.000 ms")
tmr.alarm( 0, 300000, 1, function()
    print('controlArduino.lua - tmr.alarm - inizio - ' .. tmr.now())

    myIp = wifi.sta.getip()
    print("controlArduino.lua - tmr.alarm - ip: " .. myIp)
    success=false
    esito = "Ko"
    testConnectionEseguito=false
    print('controlArduino.lua - tmr.alarm - success(00)= ' ..  tostring(success))

    --conn:send('GET /getAlarmStatus?params=0 HTTP/1.1\r\n\Host: '..ipArduino..'\r\nAccept: */*\r\nUser-Agent: Mozilla/4.0 (compatible; esp8266 Lua; Windows NT 5.1)\r\n\r\n')

    conn = net.createConnection(net.TCP, 0)
    conn:on("sent", function(conn, payload) print('controlArduino.lua - --conn - sent') end)
    --conn:on("receive", function(conn, payload) success=true print('--Receive') end)
    conn:on("receive", function(conn, payload) print('controlArduino.lua - --conn - receive 01') successTrue() print('controlArduino.lua - --conn - receive 02') end)
    conn:on("connection", function() 
            print('controlArduino.lua - --conn - connection')
            conn:send('GET /getAlarmStatus?params=0 HTTP/1.1\r\n\Host: '..ipArduino..'\r\nAccept: */*\r\nUser-Agent: Mozilla/4.0 (compatible; esp8266 Lua; Windows NT 5.1)\r\n\r\n')
            --conn:close()
        end)
    conn:on("disconnection", function(conn, payload)
            print('controlArduino.lua - --conn - disconnection - success= ' .. tostring(success))
            testConnection()
            print('controlArduino.lua - --conn - disconnection--------------------------')
        end)
    conn:connect(80,ipArduino)

    print('controlArduino.lua - tmr.alarm - success(01)= ' ..  tostring(success))
    print('controlArduino.lua - tmr.alarm - fine')
end )


print("controlArduino.lua - Fine ******")

