local configurations = {}

print("configurations.lua - Inizio ******")

--impostazione GPIO
    -- pin=0  -- GPIO16
    -- pin=1  -- GPIO05
    -- pin=2  -- GPIO04
    -- pin=3  -- GPIO00 (flash pin)
    -- pin=4  -- GPIO02
    -- pin=5  -- GPIO14 SPI - HSPICLK
    -- pin=6  -- GPIO12 SPI - HSPIQ
    -- pin=7  -- GPIO13 SPI - HSPID
    -- pin=8  -- GPIO15 SPI - HSPICS
    -- pin=9  -- GPIO03 RX
    -- pin=10 -- GPIO01 TX
    -- pin=11 -- GPIO09
    -- pin=12 -- GPIO10
    
print('configurations.lua - impostazione variabili')
-- configuro i parametri per la connessione
ipCubiboard = '192.168.10.4'

-- configuro i pin per lo schermo LCD
pinSDA = 1 -- GPIO05
pinSCL = 2 -- GPIO04

-- configuro i pin per i sensori di temperatura e pressione
pindht11 = 7 -- GPIO13
pindht22 = 6 -- GPIO12

-- id del dispositivo sul quale lancio questo programma
-- serve per quando invio i dati al server
-- viene scritto nel db per capire da dove arrivano i dati
idDispositivo = 6
print("configurations.lua - Fine ******")

return configurations
