local connectToWifi = {}

print("connectToWifi.lua - Inizio ******")

-- Constants
SSID    = "router-01"
APPWD   = "G9EvyJK352rc"

--------connessione al wifi--------
wifi.setmode(wifi.STATION)
--print("lista ap:")
--wifi.sta.getap(listap)
print("connectToWifi.lua - mi connetto all'ap")
wifi.sta.config(SSID,APPWD)
wifi.sta.connect()

tmr.alarm(1, 1000, 1, function()
    if wifi.sta.getip()== nil then
        print("connectToWifi.lua - IP unavaiable, Waiting...")
        lcd.put(lcd.locate(1, 0), "IP waiting......")
    else
        tmr.stop(1)
        print("connectToWifi.lua - ESP8266 mode is: " .. wifi.getmode())
        print("connectToWifi.lua - The module MAC address is: " .. wifi.ap.getmac())
        myIp, myNetmask, myGateway = wifi.sta.getip()
        print("connectToWifi.lua - Config done, IP is "..myIp)
        lcd.put(lcd.locate(1, 0), myIp.."  ")
        print("connectToWifi.lua - Netmask is "..myNetmask)
        print("connectToWifi.lua - Gateway is "..myGateway)
        myMacaddress = wifi.sta.getmac()
        print("connectToWifi.lua - Macaddress is "..myMacaddress)
        --dofile ("domoticz.lua")
    end
end)

print("connectToWifi.lua - connectToWifi.lua - Fine ******")

--tmr.delay(2000000) -- 2 secondi
--print("ip:")
--myIp, myNetmask, myGateway = wifi.sta.getip()
--myIp = wifi.sta.getip()
--print(myIp)
-- 192.168.10.152 255.255.255.0   192.168.10.1
--print(wifi.sta.getmac())
-- 5c:cf:7f:0a:68:d6
-- 5c:cf:7f:01:ce:d1

-------------------------------

-- print ap list
function listap(t)
    print('connectToWifi.lua - listap - inizio')
    print("connectToWifi.lua - listap - ssid, authmode, rssi, bssid, channel")
      for ssid,v in pairs(t) do
        authmode, rssi, bssid, channel = 
          string.match(v, "(%d),(-?%d+),(%x%x:%x%x:%x%x:%x%x:%x%x:%x%x),(%d+)")
        print("connectToWifi.lua - listap - " .. ssid,authmode,rssi,bssid,channel)
      end
end

return connectToWifi

