<?php

error_reporting(E_ALL);
ini_set('display_errors', 1);

//MySQL Database Connect
require_once 'dbInfo.php';

/* Variabili per il log */
$logFile = "text2.txt"; // file per il log
$dataServer = date("Y-m-d H:i:s");
$nomeFilePhp = basename($_SERVER['REQUEST_URI'], '?' . $_SERVER['QUERY_STRING']); // recupera il nome del file PHP dall'URL

/* Costruisco la query sql */
$sql1 = "SELECT idUmidita, idDispositivo, idSensore, umidita, data, dataserver, ip FROM umidita";
$sql1 .= " WHERE idDispositivo=1 AND idSensore=1";
$sql1 .= " ORDER BY idUmidita";
$sql1 .= " DESC";
$sql1 .= " LIMIT 1";

/* Costruisco l'array dalla query per utilizzarlo per generare il json da inviare come risposta */
$arr1 = array();
$arr1["cols"] = array();
$arr1["cols"][] = array("label" => "Label","type" => "string");
$arr1["cols"][] = array("label" => "Value","type" => "number");


/* Mi connetto al DB ed eseguo le query */
try {
	$conn = new PDO("mysql:host=$servername;dbname=$database", $username, $password);
   // set the PDO error mode to exception
	$conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);                      
	$stmt = $conn->prepare($sql1); 
	$stmt->execute();
	// set the resulting array to associative
	$resultSetFetch = $stmt->setFetchMode(PDO::FETCH_ASSOC);
	$result = $stmt->fetchAll();
	//print_r($result);
	
	foreach($result as $keyNumero => $valueArrayRiga) {
   	//echo $key . "-" . $value . "<br/>";
		//print_r($valueArrayRiga);
		//echo "<br>";
		//echo "idSensore= " . $valueArrayRiga['idSensore'] . " data= " . $valueArrayRiga['data'] . " temperatura= " . $valueArrayRiga['temperatura'];
		//echo "<br><br>";
		$umiditaDB = $valueArrayRiga['umidita'];
		
		$arrayTemp1 = array();
		$arrayTemp2 = array();
   	//                                             data rilevamento                   temperatura DHT                                                           temperatura DHT percepita
   	//$arrayTemp = array( "c" => array( array("v" => $dataDB,"f" => null), array("v" => $temperaturaDB,"f" => null), array("v" => null,"f" => null), array("v" => $temperaturaPercepitaDB,"f" => null) ) );
   	$arrayTemp1["c"] = array();
   	$arrayTemp1["c"][] = array("v" => 'Umidita');
   	$arrayTemp1["c"][] = array("v" => $umiditaDB);
/*		$arrayTemp2["c"] = array();
   	$arrayTemp2["c"][] = array("v" => 'TempPerc');
   	$arrayTemp2["c"][] = array("v" => $temperaturaPercepitaDB);*/
   	$arr1["rows"][] = $arrayTemp1;
//		$arr1["rows"][] = $arrayTemp2;
	}
	
/*	$stmt2 = $conn->prepare($sql2); 
	$stmt2->execute();
	// set the resulting array to associative
	$resultSetFetch2 = $stmt2->setFetchMode(PDO::FETCH_ASSOC);
	$result2 = $stmt2->fetchAll();
	//print_r($result);
	
	foreach($result2 as $keyNumero => $valueArrayRiga) {
   	//echo $key . "-" . $value . "<br/>";
		//print_r($valueArrayRiga);
		//echo "<br>";
		//echo "idSensore= " . $valueArrayRiga['idSensore'] . " data= " . $valueArrayRiga['data'] . " temperatura= " . $valueArrayRiga['temperatura'];
		//echo "<br><br>";
		$temperaturaDB = $valueArrayRiga['temperatura'];
		
		$arrayTemp = array();
   	//                                             data rilevamento                   temperatura DHT                                                           temperatura DHT percepita
   	//$arrayTemp = array( "c" => array( array("v" => $dataDB,"f" => null), array("v" => $temperaturaDB,"f" => null), array("v" => null,"f" => null), array("v" => $temperaturaPercepitaDB,"f" => null) ) );
   	$arrayTemp["c"] = array();
   	$arrayTemp["c"][] = array("v" => 'TempBMP');
   	$arrayTemp["c"][] = array("v" => $temperaturaDB);
   	$arr1["rows"][] = $arrayTemp;
	}*/
	
	$Saved_File = fopen($logFile, 'a');
	fwrite($Saved_File,  "------------------------------------------------------------------------------------\r\n");
	fwrite($Saved_File, "$dataServer - $nomeFilePhp - Chiamata effettuata: \r\n");
	fwrite($Saved_File, "$dataServer - $nomeFilePhp - " . print_r($arr1, true) . "\r\n");
	fclose($Saved_File);
	$conn = null;
} catch(PDOException $e) {
  	print_r($arr1) . "<br>" . $e->getMessage();
	$Saved_File = fopen($logFile, 'a');
	fwrite($Saved_File,  "$dataServer - $nomeFilePhp - " . $e->getMessage() . "\r\n");
	fclose($Saved_File);
}

/*
print_r($arr2);
echo "<br>";echo "<br>";
print_r($arr1);
echo "<br>";echo "<br>";echo "<br>";echo "<br>";
*/

/* Genero il codice json (partendo dall'arrray) da inviare come risposta */
echo json_encode($arr1);




?>
