<?php

/*
 * Dati in tempo reale.
 * Questo file recupera direttamente da Arduino e Esp8266 
 * i dati relativi ai seguenti sensori in tempo reale:
 * sistema di allarme, corrente a 220v (e in futuro il sistema di riscaldamento)
 * e li restituisce in Json
 * (questa è una simulazione, invece di leggere i dati veri 
 * restituisce dei dati statici)
 * 
 */
/* Variabili per il log */
// $logFile = "text2.txt"; // file per il log
// $dataServer = date("Y-m-d H:i:s");
// $nomeFilePhp = basename($_SERVER['REQUEST_URI'], '?' . $_SERVER['QUERY_STRING']); // recupera il nome del file PHP dall'URL

$arduinoIp =  "http://";
// $arduinoIp .= "192.168.10.151"; // in produzione
// $arduinoIpParametri = "";       // in produzione

// $arduinoIp .= $_SERVER['HTTP_HOST'] . "/WebContent/diy/getData/simulazione"; // solo per la simulazione
// $arduinoIp .= $_SERVER['HTTP_HOST'] . "/diy/getData/simulazione"; // solo per la simulazione su tophost
$arduinoIp .= $_SERVER['HTTP_HOST'] . "/diy/getData/simulazione"; // solo per la simulazione
$arduinoIpParametri = ".php";      // solo per la simulazione

$arduinoIpParametri .= "?params=0";

$Saved_File = fopen($logFile, 'a');
fwrite($Saved_File,  "------------------------------------------------------------------------------------\r\n");
fwrite($Saved_File, "$dataServer - $nomeFilePhp - " . print_r($_GET, true) . "\r\n");
fclose($Saved_File);


$getAlarmStatus = 0;
$getAlarmSirenStatus = 0;
$getAlarmCorrente220vStatus = 0;

if (isset($_GET['getAlarmStatus'])) {
	$getAlarmStatus = $_GET["getAlarmStatus"];
}
if (isset($_GET['getAlarmSirenStatus'])) {
	$getAlarmSirenStatus = $_GET["getAlarmSirenStatus"];
}
if (isset($_GET['getAlarmCorrente220vStatus'])) {
	$getAlarmCorrente220vStatus = $_GET["getAlarmCorrente220vStatus"];
}

if( $getAlarmStatus == 1) {
	$jsonDataArduinoAlarmStatusUrl = file_get_contents("$arduinoIp/getAlarmStatus$arduinoIpParametri");
// 	echo $_SERVER['HTTP_HOST'] . "<br>";
// 	echo $_SERVER['PHP_SELF'] . "<br>";
// 	echo "$arduinoIp/getAlarmStatus$arduinoIpParametri<br>";
	if( $jsonDataArduinoAlarmStatusUrl ) {
		echo $jsonDataArduinoAlarmStatusUrl;
		$Saved_File = fopen($logFile, 'a');
		fwrite($Saved_File, "$dataServer - $nomeFilePhp - " . print_r($jsonDataArduinoAlarmStatusUrl, true) . "\r\n");
		fclose($Saved_File);
	} else {
		echo "La risposta dell'url è vuota: " . "<br>";
	}
} elseif( $getAlarmSirenStatus == 1 ) {
	$jsonDataArduinoAlarmSirenStatusUrl = file_get_contents("$arduinoIp/getAlarmSirenStatus$arduinoIpParametri");
	if( $jsonDataArduinoAlarmSirenStatusUrl ) {
		echo $jsonDataArduinoAlarmSirenStatusUrl;
		$Saved_File = fopen($logFile, 'a');
		fwrite($Saved_File, "$dataServer - $nomeFilePhp - " . print_r($jsonDataArduinoAlarmSirenStatusUrl, true) . "\r\n");
		fclose($Saved_File);
	} else {
		echo "La risposta dell'url è vuota: " . "<br>";
	}
} elseif( $getAlarmCorrente220vStatus == 1 ) {
	$jsonDataArduinoCorrente220vStatusUrl = file_get_contents("$arduinoIp/getAlarmCorrente220vStatus$arduinoIpParametri");
	if( $jsonDataArduinoCorrente220vStatusUrl ) {
		echo $jsonDataArduinoCorrente220vStatusUrl;
		$Saved_File = fopen($logFile, 'a');
		fwrite($Saved_File, "$dataServer - $nomeFilePhp - " . print_r($jsonDataArduinoCorrente220vStatusUrl, true) . "\r\n");
		fclose($Saved_File);
	} else {
		echo "La risposta dell'url è vuota: " . "<br>";
	}
}








?>
