<?php
	// visualizzo gli errori in fase di sviluppo, devo commentare queste due righe in produzione
	error_reporting(E_ALL);
	ini_set("display_errors", 1);
	
	require_once 'util/sessionStart.php';
	(isset($_SESSION['arrayLogIndex'])) ? $_SESSION['arrayLogIndex'] +=1 : $_SESSION['arrayLogIndex'] = 0; // per il debug
	require 'util/log.php';
?>
<!DOCTYPE html>
<html lang="it">
	<head>
		<?php
			require_once 'head.php';
		?>
	</head>
	<body>
	    <?php
		    include('login.php'); // Includes Login Script
// 	    	echo " 010 ";
		    if(isset($_SESSION['userName'])){
// 		    	echo " 011 ";
		    	header("location: main.php");
		    	// <script> location.replace("target.html"); </script>
		    } else {
		    	session_unset();
		    	$_SESSION = array();
		    }
		?>

		<p class="text-warning">Warning: in produzione devo usare https.</p>

		<div class="container-fluid" id="main">
			
			<div class="row">
			
				<div class="login-dialog center-block">
					<div class="login-content">
				
						<div class="login-header">
							<h4 class="login-title" id="myLoginLabel">Log in</h4>
						</div> <!-- /.login-header -->
						
						<div class="text-danger">
							<?php echo $errore; ?>
						</div>
				
						<div class="login-body" >
							<form id="loginForm" name="loginForm" class="form-horizontal" role="form" method="post" action="<?php echo htmlspecialchars($_SERVER['PHP_SELF']); ?>">
								<div class="form-group">
									<div class="input-group">
										<input type="text" class="form-control" id="userName" name="userName" placeholder="Nome utente" required >
										<!-- <label for="uLogin" class="input-group-addon glyphicon glyphicon-user"></label>  -->
										<label for="userName" class="input-group-addon fa fa-user fa-fw"></label>
									</div>
								</div> <!-- /.form-group -->
				
								<div class="form-group">
									<div class="input-group">
										<input type="password" class="form-control" id="userPassword" name="userPassword" placeholder="Password" required >
										<!-- <label for="uPassword" class="input-group-addon glyphicon glyphicon-lock"></label>  -->
										<label for="userPassword" class="input-group-addon fa fa-key fa-fw"></label>
									</div> <!-- /.input-group -->
								</div> <!-- /.form-group -->
				
<!-- 								<div class="form-group"> -->
<!-- 									<div class="input-group"> -->
<!-- 										<div class="checkbox"> -->
<!-- 											<label> -->
<!-- 												<input type="checkbox" id="RememberMe" name="RememberMe" value="1"> Ricordami -->
<!-- 											</label> -->
<!-- 										</div> -->
<!-- 									</div -->
<!-- 								</div> -->

								<div class="form-group">
									<div class="input-group">
										<div class="login-footer">
											<button id="submitButton" name="submitButton" value="submitButton" class="form-control btn btn-primary" >Invia</button>
											<div class="progress">
												<div class="progress-bar" style="width: 0%;">
												</div>
											</div>
										</div> <!-- /.login-footer -->
									</div> <!-- /.input-group -->
								</div> <!-- /.form-group -->
								
							</form>
				
						</div> <!-- /.login-body -->
				


							
					</div><!-- /.login-content -->
				</div><!-- /.login-dialog -->
	
			</div> <!-- /.row -->
	
		</div> <!-- /.container-fluid -->




		<!--scripts loaded here-->
		<?php
		  include_once 'js.php';
		?>
	</body>
</html>