<?php
	require_once 'util/session.php';
	//MySQL Database Connect
	require_once 'util/database.php';
	
	$tabella = "programmazioneOraria";
	$idprogrammazioneOraria = null;  // autoincrement
	$idDispositivo = 7; // sistema di riscaldamento
	$checkboxesChecked = ""; // ci memorizzo una stringa che contiene istruzioni jQuery generate dal PHP
	
	$formSubmit = null;
	if (isset($_POST['Submit'])) {
		$formSubmit = $_POST["Submit"];
	}
	
// 	print_r($_GET);
// 	echo "<br>";
// 	print_r($_POST);
// 	echo "<br>---<br>";
// 	foreach ($_POST as $name=>$value){
// 		echo substr($name,0,9) . " -- ";
// 		if (substr($name,0,9)=="checkbox_") {
// 			echo substr($name,9,2) . " - " . substr($name,9,6) . "= $value" . "<br>";
// 		}
// 	}
// 	echo "<br>---<br>";
	
	function getNumeroGiorno($inizialiGiorno) {
		$numeroGiorno = 0;
		switch ($inizialiGiorno) {
			case "LU":
				$numeroGiorno = 1;
				break;
			case "MA":
				$numeroGiorno = 2;
				break;
			case "ME":
				$numeroGiorno = 3;
				break;
			case "GI":
				$numeroGiorno = 4;
				break;
			case "VE":
				$numeroGiorno = 5;
				break;
			case "SA":
				$numeroGiorno = 6;
				break;
			case "DO":
				$numeroGiorno = 7;
				break;
		}
		return $numeroGiorno;
	}
	function getNomeGiorno($numeroGiorno) {
		$nomeGiorno = "";
		switch ($numeroGiorno) {
			case 1:
				$nomeGiorno = "LU";
				break;
			case 2:
				$nomeGiorno = "MA";
				break;
			case 3:
				$nomeGiorno = "ME";
				break;
			case 4:
				$nomeGiorno = "GI";
				break;
			case 5:
				$nomeGiorno = "VE";
				break;
			case 6:
				$nomeGiorno = "SA";
				break;
			case 7:
				$nomeGiorno = "DO";
				break;
		}
		return $nomeGiorno;
	}
	
	if ($formSubmit == "Imposta") {
		// E' stata inviata la form con la nuova programmazione oraria
		// azioni sul database
		try {
			$conn = Database::connect();
			// set the PDO error mode to exception
			$conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		
			// elimino la vecchia programmazione oraria
			$stmtString = "DELETE FROM $tabella WHERE idDispositivo = :idDispositivo";
			$stmt = $conn->prepare($stmtString);
			$stmt->bindParam(':idDispositivo', $idDispositivo);
			$stmt->execute();
	// 		$deleted = $stmt->rowCount();
	// 		echo "deleted= " . $deleted . "<br>";
			
			// inserisco la nuova programmazione oraria
			$stmtString = "INSERT INTO $tabella (idprogrammazioneOraria, idDispositivo, giornoSettimana, orarioInizio)
			VALUES (:idprogrammazioneOraria, :idDispositivo, :giornoSettimana, :orarioInizio)";
			$stmt = $conn->prepare($stmtString);
			
			foreach ($_POST as $name=>$value) {
				if (substr($name,0,9)=="checkbox_") {
					$giornoSettimana = getNumeroGiorno(substr($name,9,2));
					$orarioInizio = $value;
					$stmt->bindParam(':idprogrammazioneOraria', $idprogrammazioneOraria);
					$stmt->bindParam(':idDispositivo', $idDispositivo);
					$stmt->bindParam(':giornoSettimana', $giornoSettimana);
					$stmt->bindParam(':orarioInizio', $orarioInizio);
					$stmt->execute();
					
					// memorizzo i comandi per il jQuery
					$checkboxesChecked .= "form.find(\"input:checkbox[name='$name']\").prop('checked', true);" . "\r\n";
				}
			}
		
			Database::disconnect();
		} catch(PDOException $e) {
			echo $sql . "<br>" . $e->getMessage();
		
		}
	} else {
		// La pagina è stata caricata per la prima volta, devo leggere dal database la programamzione oraria memorizzata e metterla in una variabile javascript per poi far selezionare i checkbox da jQuery
		try {
			// select
			$sql = "SELECT idprogrammazioneOraria, idDispositivo, giornoSettimana, orarioInizio FROM $tabella";
			$sql .= " WHERE 1=1";
			$sql .= " AND idDispositivo=$idDispositivo";
			$sql .= " ORDER BY idprogrammazioneOraria";
			$sql .= " ASC";
		
			/* Mi connetto al DB ed eseguo la query */
			$conn = Database::connect();
			// set the PDO error mode to exception
			$conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
			$stmt = $conn->prepare($sql);
			$stmt->execute();
			// set the resulting array to associative
			$resultSetFetch = $stmt->setFetchMode(PDO::FETCH_ASSOC);
			$results = $stmt->fetchAll();
		
// 			echo "numero risultati: " . count($results) . "<br>";
			foreach($results as $result) { //$keyNumero => $valueArrayRiga) {
// 				print_r($result);
// 				echo "<br>";
				// devo costruire il nome della checkbox che ha questa forma: checkbox_LU0100
				$name = "checkbox_".getNomeGiorno($result['giornoSettimana']);
				$name .= substr($result['orarioInizio'],0,2).substr($result['orarioInizio'],3,2);
				$checkboxesChecked .= "form.find(\"input:checkbox[name='$name']\").prop('checked', true);" . "\r\n";
					
			}
			Database::disconnect();
		} catch(PDOException $e) {
			echo $sql . "<br>" . $e->getMessage();
		
		}
	}
	
	// popolo un array javascript con gli orari selezionati letti dalla variabile $_POST (per ora non serve, la posso commentare, ma potrebbe servire)
	// lascio selezionati i campi selezionati al momento dell'invio della form
	// $programmazioneOraria = "var programmazioneOraria = {" . "\r\n";
// 	$checkboxesChecked = "";
// 	if ($formSubmit != "Imposta") {
// 		// niemte, ho già fatto tutto nell'analogo if precedente
// 	} else {
// 		// $l = count($_POST);
// 		// $i=0;
// 		foreach ($_POST as $name=>$value){
// 			if (substr($name,0,9)=="checkbox_") {
// 				// 	$programmazioneOraria .=  $name.':'.'"'.$value.'"';
// 				// 	if ( $i<($l-1) ) {
// 				// 		$programmazioneOraria .=  "," . "\r\n";
// 				// 	}
// 				//  imposto l'attributo checked per i checkbox che sono stati selezionati
// 				$checkboxesChecked .= "form.find(\"input:checkbox[name='$name']\").prop('checked', true);" . "\r\n";
// 				//  $i++;
// 			}
// 		}
// 		// 	$programmazioneOraria .= "\r\n" . "};" . "\r\n";
// 		$checkboxesChecked .= "\r\n";
// 	}
	

	
?>

<script>
// devo conservare gli elementi che sono stati cliccati
$(document).ready(function() {
// 	console.log("+++++++++++++++++++++ test");
	// Seleziono i campi checkbox delle form
// 	$("#formRiscaldamentoH input:checkbox, #formRiscaldamentoVinput:checkbox").prop('checked', true);
// 	var $form = $("#formRiscaldamentoH input:checkbox, #formRiscaldamentoV input:checkbox");
// 	$form.prop('checked', true);
// 	var $form = $("#formRiscaldamentoH, #formRiscaldamentoV");
	var form = $("#formRiscaldamentoH, #formRiscaldamentoV");
// 	var checkbox = $form.find("input:checkbox");
// 	checkbox.prop('checked', true);
	<?php
//		echo $programmazioneOraria;
		echo $checkboxesChecked;
	?>
});
</script>

<script>
function clearFormProgrammazioneOraria() {
	var form = $("#formRiscaldamentoH, #formRiscaldamentoV");
	form.find("input:checkbox").attr('checked', false);
}
</script>

<!-- <p class="text-warning">In questa pagina vorrei inserire alcune informazioni per visualizzare -->
<!-- lo stato e la programmazione del sistema di riscaldamento e i comandi per attivarlo e disattivarlo.</p> -->

<p class="lead">
	<img alt="riscaldamento" src="img/icon/icona-riscaldamento.png" class="legendImg" />
	Programmazione sitema di riscaldamento
</p>
<p></p>

<div class="hidden-md-down col-lg-12 col-xl-12">
	<form id="formRiscaldamentoH" name="formRiscaldamento" class="orizzontale" method="post" action="<?php echo htmlspecialchars($_SERVER['PHP_SELF']) . "?page=riscaldamento"; ?>">
		<input type="hidden" name="page" value="riscaldamento">
		<div class="table-responsive ">
			<table class="table table-sm programmazioneOraria">
				<thead>
				  <tr>
				    <th scope="col"> </th>
				    <th scope="col">0</th>
				    <th scope="col">1</th>
				    <th scope="col">2</th>
				    <th scope="col">3</th>
				    <th scope="col">4</th>
				    <th scope="col">5</th>
				    <th scope="col">6</th>
				    <th scope="col">7</th>
				    <th scope="col">8</th>
				    <th scope="col">9</th>
				    <th scope="col">10</th>
				    <th scope="col">11</th>
				    <th scope="col">12</th>
				    <th scope="col">13</th>
				    <th scope="col">14</th>
				    <th scope="col">15</th>
				    <th scope="col">16</th>
				    <th scope="col">17</th>
				    <th scope="col">18</th>
				    <th scope="col">19</th>
				    <th scope="col">20</th>
				    <th scope="col">21</th>
				    <th scope="col">22</th>
				    <th scope="col">23</th>
				  </tr>
				</thead>
				<tbody>
					<tr>
					    <th scope="row">Lun</th>
					    <td><input type="checkbox" name="checkbox_LU0000" value="00:00"></td>
					    <td><input type="checkbox" name="checkbox_LU0100" value="01:00"></td>
					    <td><input type="checkbox" name="checkbox_LU0200" value="02:00"></td>
					    <td><input type="checkbox" name="checkbox_LU0300" value="03:00"></td>
					    <td><input type="checkbox" name="checkbox_LU0400" value="04:00"></td>
					    <td><input type="checkbox" name="checkbox_LU0500" value="05:00"></td>
					    <td><input type="checkbox" name="checkbox_LU0600" value="06:00"></td>
					    <td><input type="checkbox" name="checkbox_LU0700" value="07:00"></td>
					    <td><input type="checkbox" name="checkbox_LU0800" value="08:00"></td>
					    <td><input type="checkbox" name="checkbox_LU0900" value="09:00"></td>
					    <td><input type="checkbox" name="checkbox_LU1000" value="10:00"></td>
					    <td><input type="checkbox" name="checkbox_LU1100" value="11:00"></td>
					    <td><input type="checkbox" name="checkbox_LU1200" value="12:00"></td>
					    <td><input type="checkbox" name="checkbox_LU1300" value="13:00"></td>
					    <td><input type="checkbox" name="checkbox_LU1400" value="14:00"></td>
					    <td><input type="checkbox" name="checkbox_LU1500" value="15:00"></td>
					    <td><input type="checkbox" name="checkbox_LU1600" value="16:00"></td>
					    <td><input type="checkbox" name="checkbox_LU1700" value="17:00"></td>
					    <td><input type="checkbox" name="checkbox_LU1800" value="18:00"></td>
					    <td><input type="checkbox" name="checkbox_LU1900" value="19:00"></td>
					    <td><input type="checkbox" name="checkbox_LU2000" value="20:00"></td>
					    <td><input type="checkbox" name="checkbox_LU2100" value="21:00"></td>
					    <td><input type="checkbox" name="checkbox_LU2200" value="22:00"></td>
					    <td><input type="checkbox" name="checkbox_LU2300" value="23:00"></td>
<!-- 					    <th scope="row">L</th> -->
					</tr>
					<tr>
					    <th scope="row">Mar</th>
					    <td><input type="checkbox" name="checkbox_MA0000" value="00:00"></td>
					    <td><input type="checkbox" name="checkbox_MA0100" value="01:00"></td>
					    <td><input type="checkbox" name="checkbox_MA0200" value="02:00"></td>
					    <td><input type="checkbox" name="checkbox_MA0300" value="03:00"></td>
					    <td><input type="checkbox" name="checkbox_MA0400" value="04:00"></td>
					    <td><input type="checkbox" name="checkbox_MA0500" value="05:00"></td>
					    <td><input type="checkbox" name="checkbox_MA0600" value="06:00"></td>
					    <td><input type="checkbox" name="checkbox_MA0700" value="07:00"></td>
					    <td><input type="checkbox" name="checkbox_MA0800" value="08:00"></td>
					    <td><input type="checkbox" name="checkbox_MA0900" value="09:00"></td>
					    <td><input type="checkbox" name="checkbox_MA1000" value="10:00"></td>
					    <td><input type="checkbox" name="checkbox_MA1100" value="11:00"></td>
					    <td><input type="checkbox" name="checkbox_MA1200" value="12:00"></td>
					    <td><input type="checkbox" name="checkbox_MA1300" value="13:00"></td>
					    <td><input type="checkbox" name="checkbox_MA1400" value="14:00"></td>
					    <td><input type="checkbox" name="checkbox_MA1500" value="15:00"></td>
					    <td><input type="checkbox" name="checkbox_MA1600" value="16:00"></td>
					    <td><input type="checkbox" name="checkbox_MA1700" value="17:00"></td>
					    <td><input type="checkbox" name="checkbox_MA1800" value="18:00"></td>
					    <td><input type="checkbox" name="checkbox_MA1900" value="19:00"></td>
					    <td><input type="checkbox" name="checkbox_MA2000" value="20:00"></td>
					    <td><input type="checkbox" name="checkbox_MA2100" value="21:00"></td>
					    <td><input type="checkbox" name="checkbox_MA2200" value="22:00"></td>
					    <td><input type="checkbox" name="checkbox_MA2300" value="23:00"></td>
<!-- 					    <th scope="row">M</th> -->
					</tr>
					<tr>
					    <th scope="row">Mer</th>
					    <td><input type="checkbox" name="checkbox_ME0000" value="00:00"></td>
					    <td><input type="checkbox" name="checkbox_ME0100" value="01:00"></td>
					    <td><input type="checkbox" name="checkbox_ME0200" value="02:00"></td>
					    <td><input type="checkbox" name="checkbox_ME0300" value="03:00"></td>
					    <td><input type="checkbox" name="checkbox_ME0400" value="04:00"></td>
					    <td><input type="checkbox" name="checkbox_ME0500" value="05:00"></td>
					    <td><input type="checkbox" name="checkbox_ME0600" value="06:00"></td>
					    <td><input type="checkbox" name="checkbox_ME0700" value="07:00"></td>
					    <td><input type="checkbox" name="checkbox_ME0800" value="08:00"></td>
					    <td><input type="checkbox" name="checkbox_ME0900" value="09:00"></td>
					    <td><input type="checkbox" name="checkbox_ME1000" value="10:00"></td>
					    <td><input type="checkbox" name="checkbox_ME1100" value="11:00"></td>
					    <td><input type="checkbox" name="checkbox_ME1200" value="12:00"></td>
					    <td><input type="checkbox" name="checkbox_ME1300" value="13:00"></td>
					    <td><input type="checkbox" name="checkbox_ME1400" value="14:00"></td>
					    <td><input type="checkbox" name="checkbox_ME1500" value="15:00"></td>
					    <td><input type="checkbox" name="checkbox_ME1600" value="16:00"></td>
					    <td><input type="checkbox" name="checkbox_ME1700" value="17:00"></td>
					    <td><input type="checkbox" name="checkbox_ME1800" value="18:00"></td>
					    <td><input type="checkbox" name="checkbox_ME1900" value="19:00"></td>
					    <td><input type="checkbox" name="checkbox_ME2000" value="20:00"></td>
					    <td><input type="checkbox" name="checkbox_ME2100" value="21:00"></td>
					    <td><input type="checkbox" name="checkbox_ME2200" value="22:00"></td>
					    <td><input type="checkbox" name="checkbox_ME2300" value="23:00"></td>
<!-- 					    <th scope="row">M</th> -->
					</tr>
					<tr>
					    <th scope="row">Gio</th>
					    <td><input type="checkbox" name="checkbox_GI0000" value="00:00"></td>
					    <td><input type="checkbox" name="checkbox_GI0100" value="01:00"></td>
					    <td><input type="checkbox" name="checkbox_GI0200" value="02:00"></td>
					    <td><input type="checkbox" name="checkbox_GI0300" value="03:00"></td>
					    <td><input type="checkbox" name="checkbox_GI0400" value="04:00"></td>
					    <td><input type="checkbox" name="checkbox_GI0500" value="05:00"></td>
					    <td><input type="checkbox" name="checkbox_GI0600" value="06:00"></td>
					    <td><input type="checkbox" name="checkbox_GI0700" value="07:00"></td>
					    <td><input type="checkbox" name="checkbox_GI0800" value="08:00"></td>
					    <td><input type="checkbox" name="checkbox_GI0900" value="09:00"></td>
					    <td><input type="checkbox" name="checkbox_GI1000" value="10:00"></td>
					    <td><input type="checkbox" name="checkbox_GI1100" value="11:00"></td>
					    <td><input type="checkbox" name="checkbox_GI1200" value="12:00"></td>
					    <td><input type="checkbox" name="checkbox_GI1300" value="13:00"></td>
					    <td><input type="checkbox" name="checkbox_GI1400" value="14:00"></td>
					    <td><input type="checkbox" name="checkbox_GI1500" value="15:00"></td>
					    <td><input type="checkbox" name="checkbox_GI1600" value="16:00"></td>
					    <td><input type="checkbox" name="checkbox_GI1700" value="17:00"></td>
					    <td><input type="checkbox" name="checkbox_GI1800" value="18:00"></td>
					    <td><input type="checkbox" name="checkbox_GI1900" value="19:00"></td>
					    <td><input type="checkbox" name="checkbox_GI2000" value="20:00"></td>
					    <td><input type="checkbox" name="checkbox_GI2100" value="21:00"></td>
					    <td><input type="checkbox" name="checkbox_GI2200" value="22:00"></td>
					    <td><input type="checkbox" name="checkbox_GI2300" value="23:00"></td>
<!-- 					    <th scope="row">G</th> -->
					</tr>
					<tr>
					    <th scope="row">Ven</th>
					    <td><input type="checkbox" name="checkbox_VE0000" value="00:00"></td>
					    <td><input type="checkbox" name="checkbox_VE0100" value="01:00"></td>
					    <td><input type="checkbox" name="checkbox_VE0200" value="02:00"></td>
					    <td><input type="checkbox" name="checkbox_VE0300" value="03:00"></td>
					    <td><input type="checkbox" name="checkbox_VE0400" value="04:00"></td>
					    <td><input type="checkbox" name="checkbox_VE0500" value="05:00"></td>
					    <td><input type="checkbox" name="checkbox_VE0600" value="06:00"></td>
					    <td><input type="checkbox" name="checkbox_VE0700" value="07:00"></td>
					    <td><input type="checkbox" name="checkbox_VE0800" value="08:00"></td>
					    <td><input type="checkbox" name="checkbox_VE0900" value="09:00"></td>
					    <td><input type="checkbox" name="checkbox_VE1000" value="10:00"></td>
					    <td><input type="checkbox" name="checkbox_VE1100" value="11:00"></td>
					    <td><input type="checkbox" name="checkbox_VE1200" value="12:00"></td>
					    <td><input type="checkbox" name="checkbox_VE1300" value="13:00"></td>
					    <td><input type="checkbox" name="checkbox_VE1400" value="14:00"></td>
					    <td><input type="checkbox" name="checkbox_VE1500" value="15:00"></td>
					    <td><input type="checkbox" name="checkbox_VE1600" value="16:00"></td>
					    <td><input type="checkbox" name="checkbox_VE1700" value="17:00"></td>
					    <td><input type="checkbox" name="checkbox_VE1800" value="18:00"></td>
					    <td><input type="checkbox" name="checkbox_VE1900" value="19:00"></td>
					    <td><input type="checkbox" name="checkbox_VE2000" value="20:00"></td>
					    <td><input type="checkbox" name="checkbox_VE2100" value="21:00"></td>
					    <td><input type="checkbox" name="checkbox_VE2200" value="22:00"></td>
					    <td><input type="checkbox" name="checkbox_VE2300" value="23:00"></td>
<!-- 					    <th scope="row">V</th> -->
					</tr>
					<tr>
					    <th scope="row">Sab</th>
					    <td><input type="checkbox" name="checkbox_SA0000" value="00:00"></td>
					    <td><input type="checkbox" name="checkbox_SA0100" value="01:00"></td>
					    <td><input type="checkbox" name="checkbox_SA0200" value="02:00"></td>
					    <td><input type="checkbox" name="checkbox_SA0300" value="03:00"></td>
					    <td><input type="checkbox" name="checkbox_SA0400" value="04:00"></td>
					    <td><input type="checkbox" name="checkbox_SA0500" value="05:00"></td>
					    <td><input type="checkbox" name="checkbox_SA0600" value="06:00"></td>
					    <td><input type="checkbox" name="checkbox_SA0700" value="07:00"></td>
					    <td><input type="checkbox" name="checkbox_SA0800" value="08:00"></td>
					    <td><input type="checkbox" name="checkbox_SA0900" value="09:00"></td>
					    <td><input type="checkbox" name="checkbox_SA1000" value="10:00"></td>
					    <td><input type="checkbox" name="checkbox_SA1100" value="11:00"></td>
					    <td><input type="checkbox" name="checkbox_SA1200" value="12:00"></td>
					    <td><input type="checkbox" name="checkbox_SA1300" value="13:00"></td>
					    <td><input type="checkbox" name="checkbox_SA1400" value="14:00"></td>
					    <td><input type="checkbox" name="checkbox_SA1500" value="15:00"></td>
					    <td><input type="checkbox" name="checkbox_SA1600" value="16:00"></td>
					    <td><input type="checkbox" name="checkbox_SA1700" value="17:00"></td>
					    <td><input type="checkbox" name="checkbox_SA1800" value="18:00"></td>
					    <td><input type="checkbox" name="checkbox_SA1900" value="19:00"></td>
					    <td><input type="checkbox" name="checkbox_SA2000" value="20:00"></td>
					    <td><input type="checkbox" name="checkbox_SA2100" value="21:00"></td>
					    <td><input type="checkbox" name="checkbox_SA2200" value="22:00"></td>
					    <td><input type="checkbox" name="checkbox_SA2300" value="23:00"></td>
<!-- 					    <th scope="row">S</th> -->
					</tr>
					<tr>
					    <th scope="row">Dom</th>
					    <td><input type="checkbox" name="checkbox_DO0000" value="00:00"></td>
					    <td><input type="checkbox" name="checkbox_DO0100" value="01:00"></td>
					    <td><input type="checkbox" name="checkbox_DO0200" value="02:00"></td>
					    <td><input type="checkbox" name="checkbox_DO0300" value="03:00"></td>
					    <td><input type="checkbox" name="checkbox_DO0400" value="04:00"></td>
					    <td><input type="checkbox" name="checkbox_DO0500" value="05:00"></td>
					    <td><input type="checkbox" name="checkbox_DO0600" value="06:00"></td>
					    <td><input type="checkbox" name="checkbox_DO0700" value="07:00"></td>
					    <td><input type="checkbox" name="checkbox_DO0800" value="08:00"></td>
					    <td><input type="checkbox" name="checkbox_DO0900" value="09:00"></td>
					    <td><input type="checkbox" name="checkbox_DO1000" value="10:00"></td>
					    <td><input type="checkbox" name="checkbox_DO1100" value="11:00"></td>
					    <td><input type="checkbox" name="checkbox_DO1200" value="12:00"></td>
					    <td><input type="checkbox" name="checkbox_DO1300" value="13:00"></td>
					    <td><input type="checkbox" name="checkbox_DO1400" value="14:00"></td>
					    <td><input type="checkbox" name="checkbox_DO1500" value="15:00"></td>
					    <td><input type="checkbox" name="checkbox_DO1600" value="16:00"></td>
					    <td><input type="checkbox" name="checkbox_DO1700" value="17:00"></td>
					    <td><input type="checkbox" name="checkbox_DO1800" value="18:00"></td>
					    <td><input type="checkbox" name="checkbox_DO1900" value="19:00"></td>
					    <td><input type="checkbox" name="checkbox_DO2000" value="20:00"></td>
					    <td><input type="checkbox" name="checkbox_DO2100" value="21:00"></td>
					    <td><input type="checkbox" name="checkbox_DO2200" value="22:00"></td>
					    <td><input type="checkbox" name="checkbox_DO2300" value="23:00"></td>
<!-- 					    <th scope="row">D</th> -->
					</tr>
				</tbody>
				<tfoot>
				  <tr>
				    <th scope="col"> </th>
				    <th scope="col">0</th>
				    <th scope="col">1</th>
				    <th scope="col">2</th>
				    <th scope="col">3</th>
				    <th scope="col">4</th>
				    <th scope="col">5</th>
				    <th scope="col">6</th>
				    <th scope="col">7</th>
				    <th scope="col">8</th>
				    <th scope="col">9</th>
				    <th scope="col">10</th>
				    <th scope="col">11</th>
				    <th scope="col">12</th>
				    <th scope="col">13</th>
				    <th scope="col">14</th>
				    <th scope="col">15</th>
				    <th scope="col">16</th>
				    <th scope="col">17</th>
				    <th scope="col">18</th>
				    <th scope="col">19</th>
				    <th scope="col">20</th>
				    <th scope="col">21</th>
				    <th scope="col">22</th>
				    <th scope="col">23</th>
				  </tr>
				</tfoot>
			</table>
			<button type="submit" class="btn btn-primary" name="Submit" value="Imposta">Imposta</button>
<!-- 			<button type="reset"  class="btn btn-primary" name="Reset"  value="Ripristina">Ripristina</button> -->
			<button type="button" class="btn btn-primary" name="Azzera" value="Azzera" onclick="clearFormProgrammazioneOraria()">Azzera</button>
		</div>
	</form>
</div>





<div class="col-xs-10 col-sm-8 col-md-8 hidden-lg-up">
	<form id="formRiscaldamentoV" name="formRiscaldamento" class="verticale" method="post" action="<?php echo htmlspecialchars($_SERVER['PHP_SELF']) . "?page=riscaldamento"; ?>">
		<input type="hidden" name="page" value="riscaldamento">
		<div class="table-responsive ">
			<table class="table table-sm programmazioneOraria">
				<thead>
				  <tr>
				    <th scope="col" class="col-md-1 text-xs-left">Ora</th>
				    <th scope="col">L</th>
				    <th scope="col">M</th>
				    <th scope="col">M</th>
				    <th scope="col">G</th>
				    <th scope="col">V</th>
				    <th scope="col">S</th>
				    <th scope="col">D</th>
				  </tr>
				</thead>
				<tbody>
				  <tr>
				    <th scope="row" >00:00</th>
				    <td><input type="checkbox" name="checkbox_LU0000" value="00:00"></td>
				    <td><input type="checkbox" name="checkbox_MA0000" value="00:00"></td>
				    <td><input type="checkbox" name="checkbox_ME0000" value="00:00"></td>
				    <td><input type="checkbox" name="checkbox_GI0000" value="00:00"></td>
				    <td><input type="checkbox" name="checkbox_VE0000" value="00:00"></td>
				    <td><input type="checkbox" name="checkbox_SA0000" value="00:00"></td>
				    <td><input type="checkbox" name="checkbox_DO0000" value="00:00"></td>
				  </tr>
				  <tr>
				    <th scope="row">01:00</th>
				    <td><input type="checkbox" name="checkbox_LU0100" value="01:00"></td>
				    <td><input type="checkbox" name="checkbox_MA0100" value="01:00"></td>
				    <td><input type="checkbox" name="checkbox_ME0100" value="01:00"></td>
				    <td><input type="checkbox" name="checkbox_GI0100" value="01:00"></td>
				    <td><input type="checkbox" name="checkbox_VE0100" value="01:00"></td>
				    <td><input type="checkbox" name="checkbox_SA0100" value="01:00"></td>
				    <td><input type="checkbox" name="checkbox_DO0100" value="01:00"></td>
				  </tr>
				  <tr>
				    <th scope="row">02:00</th>
				    <td><input type="checkbox" name="checkbox_LU0200" value="02:00"></td>
				    <td><input type="checkbox" name="checkbox_MA0200" value="02:00"></td>
				    <td><input type="checkbox" name="checkbox_ME0200" value="02:00"></td>
				    <td><input type="checkbox" name="checkbox_GI0200" value="02:00"></td>
				    <td><input type="checkbox" name="checkbox_VE0200" value="02:00"></td>
				    <td><input type="checkbox" name="checkbox_SA0200" value="02:00"></td>
				    <td><input type="checkbox" name="checkbox_DO0200" value="02:00"></td>
				  </tr>		  
				  <tr>
				    <th scope="row">03:00</th>
				    <td><input type="checkbox" name="checkbox_LU0300" value="03:00"></td>
				    <td><input type="checkbox" name="checkbox_MA0300" value="03:00"></td>
				    <td><input type="checkbox" name="checkbox_ME0300" value="03:00"></td>
				    <td><input type="checkbox" name="checkbox_GI0300" value="03:00"></td>
				    <td><input type="checkbox" name="checkbox_VE0300" value="03:00"></td>
				    <td><input type="checkbox" name="checkbox_SA0300" value="03:00"></td>
				    <td><input type="checkbox" name="checkbox_DO0300" value="03:00"></td>
				  </tr>
				  <tr>
				    <th scope="row">04:00</th>
				    <td><input type="checkbox" name="checkbox_LU0400" value="04:00"></td>
				    <td><input type="checkbox" name="checkbox_MA0400" value="04:00"></td>
				    <td><input type="checkbox" name="checkbox_ME0400" value="04:00"></td>
				    <td><input type="checkbox" name="checkbox_GI0400" value="04:00"></td>
				    <td><input type="checkbox" name="checkbox_VE0400" value="04:00"></td>
				    <td><input type="checkbox" name="checkbox_SA0400" value="04:00"></td>
				    <td><input type="checkbox" name="checkbox_DO0400" value="04:00"></td>
				  </tr>
				  <tr>
				    <th scope="row">05:00</th>
				    <td><input type="checkbox" name="checkbox_LU0500" value="05:00"></td>
				    <td><input type="checkbox" name="checkbox_MA0500" value="05:00"></td>
				    <td><input type="checkbox" name="checkbox_ME0500" value="05:00"></td>
				    <td><input type="checkbox" name="checkbox_GI0500" value="05:00"></td>
				    <td><input type="checkbox" name="checkbox_VE0500" value="05:00"></td>
				    <td><input type="checkbox" name="checkbox_SA0500" value="05:00"></td>
				    <td><input type="checkbox" name="checkbox_DO0500" value="05:00"></td>
				  </tr>
				  <tr>
				    <th scope="row">06:00</th>
				    <td><input type="checkbox" name="checkbox_LU0600" value="06:00"></td>
				    <td><input type="checkbox" name="checkbox_MA0600" value="06:00"></td>
				    <td><input type="checkbox" name="checkbox_ME0600" value="06:00"></td>
				    <td><input type="checkbox" name="checkbox_GI0600" value="06:00"></td>
				    <td><input type="checkbox" name="checkbox_VE0600" value="06:00"></td>
				    <td><input type="checkbox" name="checkbox_SA0600" value="06:00"></td>
				    <td><input type="checkbox" name="checkbox_DO0600" value="06:00"></td>
				  </tr>
				  <tr>
				    <th scope="row">07:00</th>
				    <td><input type="checkbox" name="checkbox_LU0700" value="07:00"></td>
				    <td><input type="checkbox" name="checkbox_MA0700" value="07:00"></td>
				    <td><input type="checkbox" name="checkbox_ME0700" value="07:00"></td>
				    <td><input type="checkbox" name="checkbox_GI0700" value="07:00"></td>
				    <td><input type="checkbox" name="checkbox_VE0700" value="07:00"></td>
				    <td><input type="checkbox" name="checkbox_SA0700" value="07:00"></td>
				    <td><input type="checkbox" name="checkbox_DO0700" value="07:00"></td>
				  </tr>
				  <tr>
				    <th scope="row">08:00</th>
				    <td><input type="checkbox" name="checkbox_LU0800" value="08:00"></td>
				    <td><input type="checkbox" name="checkbox_MA0800" value="08:00"></td>
				    <td><input type="checkbox" name="checkbox_ME0800" value="08:00"></td>
				    <td><input type="checkbox" name="checkbox_GI0800" value="08:00"></td>
				    <td><input type="checkbox" name="checkbox_VE0800" value="08:00"></td>
				    <td><input type="checkbox" name="checkbox_SA0800" value="08:00"></td>
				    <td><input type="checkbox" name="checkbox_DO0800" value="08:00"></td>
				  </tr>
				  <tr>
				    <th scope="row">09:00</th>
				    <td><input type="checkbox" name="checkbox_LU0900" value="09:00"></td>
				    <td><input type="checkbox" name="checkbox_MA0900" value="09:00"></td>
				    <td><input type="checkbox" name="checkbox_ME0900" value="09:00"></td>
				    <td><input type="checkbox" name="checkbox_GI0900" value="09:00"></td>
				    <td><input type="checkbox" name="checkbox_VE0900" value="09:00"></td>
				    <td><input type="checkbox" name="checkbox_SA0900" value="09:00"></td>
				    <td><input type="checkbox" name="checkbox_DO0900" value="09:00"></td>
				  </tr>
				  <tr>
				    <th scope="row">10:00</th>
				    <td><input type="checkbox" name="checkbox_LU1000" value="10:00"></td>
				    <td><input type="checkbox" name="checkbox_MA1000" value="10:00"></td>
				    <td><input type="checkbox" name="checkbox_ME1000" value="10:00"></td>
				    <td><input type="checkbox" name="checkbox_GI1000" value="10:00"></td>
				    <td><input type="checkbox" name="checkbox_VE1000" value="10:00"></td>
				    <td><input type="checkbox" name="checkbox_SA1000" value="10:00"></td>
				    <td><input type="checkbox" name="checkbox_DO1000" value="10:00"></td>
				  </tr>
				  <tr>
				    <th scope="row">11:00</th>
				    <td><input type="checkbox" name="checkbox_LU1100" value="11:00"></td>
				    <td><input type="checkbox" name="checkbox_MA1100" value="11:00"></td>
				    <td><input type="checkbox" name="checkbox_ME1100" value="11:00"></td>
				    <td><input type="checkbox" name="checkbox_GI1100" value="11:00"></td>
				    <td><input type="checkbox" name="checkbox_VE1100" value="11:00"></td>
				    <td><input type="checkbox" name="checkbox_SA1100" value="11:00"></td>
				    <td><input type="checkbox" name="checkbox_DO1100" value="11:00"></td>
				  </tr>
				  <tr>
				    <th scope="row">12:00</th>
				    <td><input type="checkbox" name="checkbox_LU1200" value="12:00"></td>
				    <td><input type="checkbox" name="checkbox_MA1200" value="12:00"></td>
				    <td><input type="checkbox" name="checkbox_ME1200" value="12:00"></td>
				    <td><input type="checkbox" name="checkbox_GI1200" value="12:00"></td>
				    <td><input type="checkbox" name="checkbox_VE1200" value="12:00"></td>
				    <td><input type="checkbox" name="checkbox_SA1200" value="12:00"></td>
				    <td><input type="checkbox" name="checkbox_DO1200" value="12:00"></td>
				  </tr>
				  <tr>
				    <th scope="row">13:00</th>
				    <td><input type="checkbox" name="checkbox_LU1300" value="13:00"></td>
				    <td><input type="checkbox" name="checkbox_MA1300" value="13:00"></td>
				    <td><input type="checkbox" name="checkbox_ME1300" value="13:00"></td>
				    <td><input type="checkbox" name="checkbox_GI1300" value="13:00"></td>
				    <td><input type="checkbox" name="checkbox_VE1300" value="13:00"></td>
				    <td><input type="checkbox" name="checkbox_SA1300" value="13:00"></td>
				    <td><input type="checkbox" name="checkbox_DO1300" value="13:00"></td>
				  </tr>
				  <tr>
				    <th scope="row">14:00</th>
				    <td><input type="checkbox" name="checkbox_LU1400" value="14:00"></td>
				    <td><input type="checkbox" name="checkbox_MA1400" value="14:00"></td>
				    <td><input type="checkbox" name="checkbox_ME1400" value="14:00"></td>
				    <td><input type="checkbox" name="checkbox_GI1400" value="14:00"></td>
				    <td><input type="checkbox" name="checkbox_VE1400" value="14:00"></td>
				    <td><input type="checkbox" name="checkbox_SA1400" value="14:00"></td>
				    <td><input type="checkbox" name="checkbox_DO1400" value="14:00"></td>
				  </tr>
				  <tr>
				    <th scope="row">15:00</th>
				    <td><input type="checkbox" name="checkbox_LU1500" value="15:00"></td>
				    <td><input type="checkbox" name="checkbox_MA1500" value="15:00"></td>
				    <td><input type="checkbox" name="checkbox_ME1500" value="15:00"></td>
				    <td><input type="checkbox" name="checkbox_GI1500" value="15:00"></td>
				    <td><input type="checkbox" name="checkbox_VE1500" value="15:00"></td>
				    <td><input type="checkbox" name="checkbox_SA1500" value="15:00"></td>
				    <td><input type="checkbox" name="checkbox_DO1500" value="15:00"></td>
				  </tr>
				  <tr>
				    <th scope="row">16:00</th>
				    <td><input type="checkbox" name="checkbox_LU1600" value="16:00"></td>
				    <td><input type="checkbox" name="checkbox_MA1600" value="16:00"></td>
				    <td><input type="checkbox" name="checkbox_ME1600" value="16:00"></td>
				    <td><input type="checkbox" name="checkbox_GI1600" value="16:00"></td>
				    <td><input type="checkbox" name="checkbox_VE1600" value="16:00"></td>
				    <td><input type="checkbox" name="checkbox_SA1600" value="16:00"></td>
				    <td><input type="checkbox" name="checkbox_DO1600" value="16:00"></td>
				  </tr>
				  <tr>
				    <th scope="row">17:00</th>
				    <td><input type="checkbox" name="checkbox_LU1700" value="17:00"></td>
				    <td><input type="checkbox" name="checkbox_MA1700" value="17:00"></td>
				    <td><input type="checkbox" name="checkbox_ME1700" value="17:00"></td>
				    <td><input type="checkbox" name="checkbox_GI1700" value="17:00"></td>
				    <td><input type="checkbox" name="checkbox_VE1700" value="17:00"></td>
				    <td><input type="checkbox" name="checkbox_SA1700" value="17:00"></td>
				    <td><input type="checkbox" name="checkbox_DO1700" value="17:00"></td>
				  </tr>
				  <tr>
				    <th scope="row">18:00</th>
				    <td><input type="checkbox" name="checkbox_LU1800" value="18:00"></td>
				    <td><input type="checkbox" name="checkbox_MA1800" value="18:00"></td>
				    <td><input type="checkbox" name="checkbox_ME1800" value="18:00"></td>
				    <td><input type="checkbox" name="checkbox_GI1800" value="18:00"></td>
				    <td><input type="checkbox" name="checkbox_VE1800" value="18:00"></td>
				    <td><input type="checkbox" name="checkbox_SA1800" value="18:00"></td>
				    <td><input type="checkbox" name="checkbox_DO1800" value="18:00"></td>
				  </tr>
				  <tr>
				    <th scope="row">19:00</th>
				    <td><input type="checkbox" name="checkbox_LU1900" value="19:00"></td>
				    <td><input type="checkbox" name="checkbox_MA1900" value="19:00"></td>
				    <td><input type="checkbox" name="checkbox_ME1900" value="19:00"></td>
				    <td><input type="checkbox" name="checkbox_GI1900" value="19:00"></td>
				    <td><input type="checkbox" name="checkbox_VE1900" value="19:00"></td>
				    <td><input type="checkbox" name="checkbox_SA1900" value="19:00"></td>
				    <td><input type="checkbox" name="checkbox_DO1900" value="19:00"></td>
				  </tr>
				  <tr>
				    <th scope="row">20:00</th>
				    <td><input type="checkbox" name="checkbox_LU2000" value="20:00"></td>
				    <td><input type="checkbox" name="checkbox_MA2000" value="20:00"></td>
				    <td><input type="checkbox" name="checkbox_ME2000" value="20:00"></td>
				    <td><input type="checkbox" name="checkbox_GI2000" value="20:00"></td>
				    <td><input type="checkbox" name="checkbox_VE2000" value="20:00"></td>
				    <td><input type="checkbox" name="checkbox_SA2000" value="20:00"></td>
				    <td><input type="checkbox" name="checkbox_DO2000" value="20:00"></td>
				  </tr>
				  <tr>
				    <th scope="row">21:00</th>
				    <td><input type="checkbox" name="checkbox_LU2100" value="21:00"></td>
				    <td><input type="checkbox" name="checkbox_MA2100" value="21:00"></td>
				    <td><input type="checkbox" name="checkbox_ME2100" value="21:00"></td>
				    <td><input type="checkbox" name="checkbox_GI2100" value="21:00"></td>
				    <td><input type="checkbox" name="checkbox_VE2100" value="21:00"></td>
				    <td><input type="checkbox" name="checkbox_SA2100" value="21:00"></td>
				    <td><input type="checkbox" name="checkbox_DO2100" value="21:00"></td>
				  </tr>
				  <tr>
				    <th scope="row">22:00</th>
				    <td><input type="checkbox" name="checkbox_LU2200" value="22:00"></td>
				    <td><input type="checkbox" name="checkbox_MA2200" value="22:00"></td>
				    <td><input type="checkbox" name="checkbox_ME2200" value="22:00"></td>
				    <td><input type="checkbox" name="checkbox_GI2200" value="22:00"></td>
				    <td><input type="checkbox" name="checkbox_VE2200" value="22:00"></td>
				    <td><input type="checkbox" name="checkbox_SA2200" value="22:00"></td>
				    <td><input type="checkbox" name="checkbox_DO2200" value="22:00"></td>
				  </tr>
				  <tr>
				    <th scope="row">23:00</th>
				    <td><input type="checkbox" name="checkbox_LU2300" value="23:00"></td>
				    <td><input type="checkbox" name="checkbox_MA2300" value="23:00"></td>
				    <td><input type="checkbox" name="checkbox_ME2300" value="23:00"></td>
				    <td><input type="checkbox" name="checkbox_GI2300" value="23:00"></td>
				    <td><input type="checkbox" name="checkbox_VE2300" value="23:00"></td>
				    <td><input type="checkbox" name="checkbox_SA2300" value="23:00"></td>
				    <td><input type="checkbox" name="checkbox_DO2300" value="23:00"></td>
				  </tr>
				</tbody>
				<tfoot>
				  <tr>
				    <th> </th>
				    <th>L</th>
				    <th>M</th>
				    <th>M</th>
				    <th>G</th>
				    <th>V</th>
				    <th>S</th>
				    <th>D</th>
				  </tr>
				</tfoot>			  
			</table>
			<button type="submit" class="btn btn-primary" name="Submit" value="Imposta">Imposta</button>
<!-- 			<button type="reset"  class="btn btn-primary" name="Reset"  value="Ripristina">Ripristina</button> -->
			<button type="button" class="btn btn-primary" name="Azzera" value="Azzera" onclick="clearFormProgrammazioneOraria()">Azzera</button>
		</div>
	</form>
</div>















































<!-- 
<div class="col-xs-10 col-sm-6 col-md-6 col-lg-5 col-xl-4">
	<div class="table-responsive ">
		<table class="table table-sm programmazioneOraria">
			<thead>
			  <tr>
			    <th>Ora</th>
			    <th>L</th>
			    <th>M</th>
			    <th>M</th>
			    <th>G</th>
			    <th>V</th>
			    <th>S</th>
			    <th>D</th>
			  </tr>
			</thead>
			<tbody>
			  <tr>
			    <th scope="row">00:00</th>
			    <td><input type="checkbox" name="checkbox_LU0000" value="00:00"></td>
			    <td><input type="checkbox" name="checkbox_MA0000" value="00:00"></td>
			    <td><input type="checkbox" name="checkbox_ME0000" value="00:00"></td>
			    <td><input type="checkbox" name="checkbox_GI0000" value="00:00"></td>
			    <td><input type="checkbox" name="checkbox_VE0000" value="00:00"></td>
			    <td><input type="checkbox" name="checkbox_SA0000" value="00:00"></td>
			    <td><input type="checkbox" name="checkbox_DO0000" value="00:00"></td>
			  </tr>
			  <tr>
			    <th scope="row">00:30</th>
			    <td><input type="checkbox" name="checkbox_LU0030" value="1"></td>
			    <td><input type="checkbox" name="checkbox_MA0030" value="1"></td>
			    <td><input type="checkbox" name="checkbox_ME0030" value="1"></td>
			    <td><input type="checkbox" name="checkbox_GI0030" value="1"></td>
			    <td><input type="checkbox" name="checkbox_VE0030" value="1"></td>
			    <td><input type="checkbox" name="checkbox_SA0030" value="1"></td>
			    <td><input type="checkbox" name="checkbox_DO0030" value="1"></td>
			  </tr>
			  <tr>
			    <th scope="row">01:00</th>
			    <td><input type="checkbox" name="checkbox_LU0100" value="01:00"></td>
			    <td><input type="checkbox" name="checkbox_MA0100" value="01:00"></td>
			    <td><input type="checkbox" name="checkbox_ME0100" value="01:00"></td>
			    <td><input type="checkbox" name="checkbox_GI0100" value="01:00"></td>
			    <td><input type="checkbox" name="checkbox_VE0100" value="01:00"></td>
			    <td><input type="checkbox" name="checkbox_SA0100" value="01:00"></td>
			    <td><input type="checkbox" name="checkbox_DO0100" value="01:00"></td>
			  </tr>
			  <tr>
			    <th scope="row">01:30</th>
			    <td><input type="checkbox" name="checkbox_LU0130" value="1"></td>
			    <td><input type="checkbox" name="checkbox_MA0130" value="1"></td>
			    <td><input type="checkbox" name="checkbox_ME0130" value="1"></td>
			    <td><input type="checkbox" name="checkbox_GI0130" value="1"></td>
			    <td><input type="checkbox" name="checkbox_VE0130" value="1"></td>
			    <td><input type="checkbox" name="checkbox_SA0130" value="1"></td>
			    <td><input type="checkbox" name="checkbox_DO0130" value="1"></td>
			  </tr>
			  <tr>
			    <th scope="row">02:00</th>
			    <td><input type="checkbox" name="checkbox_LU0200" value="02:00"></td>
			    <td><input type="checkbox" name="checkbox_MA0200" value="02:00"></td>
			    <td><input type="checkbox" name="checkbox_ME0200" value="02:00"></td>
			    <td><input type="checkbox" name="checkbox_GI0200" value="02:00"></td>
			    <td><input type="checkbox" name="checkbox_VE0200" value="02:00"></td>
			    <td><input type="checkbox" name="checkbox_SA0200" value="02:00"></td>
			    <td><input type="checkbox" name="checkbox_DO0200" value="02:00"></td>
			  </tr>		  
			  <tr>
			    <th scope="row">02:30</th>
			    <td><input type="checkbox" name="checkbox_LU0230" value="1"></td>
			    <td><input type="checkbox" name="checkbox_MA0230" value="1"></td>
			    <td><input type="checkbox" name="checkbox_ME0230" value="1"></td>
			    <td><input type="checkbox" name="checkbox_GI0230" value="1"></td>
			    <td><input type="checkbox" name="checkbox_VE0230" value="1"></td>
			    <td><input type="checkbox" name="checkbox_SA0230" value="1"></td>
			    <td><input type="checkbox" name="checkbox_DO0230" value="1"></td>
			  </tr>
			  <tr>
			    <th scope="row">03:00</th>
			    <td><input type="checkbox" name="checkbox_LU0300" value="03:00"></td>
			    <td><input type="checkbox" name="checkbox_MA0300" value="03:00"></td>
			    <td><input type="checkbox" name="checkbox_ME0300" value="03:00"></td>
			    <td><input type="checkbox" name="checkbox_GI0300" value="03:00"></td>
			    <td><input type="checkbox" name="checkbox_VE0300" value="03:00"></td>
			    <td><input type="checkbox" name="checkbox_SA0300" value="03:00"></td>
			    <td><input type="checkbox" name="checkbox_DO0300" value="03:00"></td>
			  </tr>
			  <tr>
			    <th scope="row">03:30</th>
			    <td><input type="checkbox" name="checkbox_LU0330" value="1"></td>
			    <td><input type="checkbox" name="checkbox_MA0330" value="1"></td>
			    <td><input type="checkbox" name="checkbox_ME0330" value="1"></td>
			    <td><input type="checkbox" name="checkbox_GI0330" value="1"></td>
			    <td><input type="checkbox" name="checkbox_VE0330" value="1"></td>
			    <td><input type="checkbox" name="checkbox_SA0330" value="1"></td>
			    <td><input type="checkbox" name="checkbox_DO0330" value="1"></td>
			  </tr>
			  <tr>
			    <th scope="row">04:00</th>
			    <td><input type="checkbox" name="checkbox_LU0400" value="04:00"></td>
			    <td><input type="checkbox" name="checkbox_MA0400" value="04:00"></td>
			    <td><input type="checkbox" name="checkbox_ME0400" value="04:00"></td>
			    <td><input type="checkbox" name="checkbox_GI0400" value="04:00"></td>
			    <td><input type="checkbox" name="checkbox_VE0400" value="04:00"></td>
			    <td><input type="checkbox" name="checkbox_SA0400" value="04:00"></td>
			    <td><input type="checkbox" name="checkbox_DO0400" value="04:00"></td>
			  </tr>
			  <tr>
			    <th scope="row">04:30</th>
			    <td><input type="checkbox" name="checkbox_LU0430" value="1"></td>
			    <td><input type="checkbox" name="checkbox_MA0430" value="1"></td>
			    <td><input type="checkbox" name="checkbox_ME0430" value="1"></td>
			    <td><input type="checkbox" name="checkbox_GI0430" value="1"></td>
			    <td><input type="checkbox" name="checkbox_VE0430" value="1"></td>
			    <td><input type="checkbox" name="checkbox_SA0430" value="1"></td>
			    <td><input type="checkbox" name="checkbox_DO0430" value="1"></td>
			  </tr>
			  <tr>
			    <th scope="row">05:00</th>
			    <td><input type="checkbox" name="checkbox_LU0500" value="05:00"></td>
			    <td><input type="checkbox" name="checkbox_MA0500" value="05:00"></td>
			    <td><input type="checkbox" name="checkbox_ME0500" value="05:00"></td>
			    <td><input type="checkbox" name="checkbox_GI0500" value="05:00"></td>
			    <td><input type="checkbox" name="checkbox_VE0500" value="05:00"></td>
			    <td><input type="checkbox" name="checkbox_SA0500" value="05:00"></td>
			    <td><input type="checkbox" name="checkbox_DO0500" value="05:00"></td>
			  </tr>
			  <tr>
			    <th scope="row">05:30</th>
			    <td><input type="checkbox" name="checkbox_LU0530" value="1"></td>
			    <td><input type="checkbox" name="checkbox_MA0530" value="1"></td>
			    <td><input type="checkbox" name="checkbox_ME0530" value="1"></td>
			    <td><input type="checkbox" name="checkbox_GI0530" value="1"></td>
			    <td><input type="checkbox" name="checkbox_VE0530" value="1"></td>
			    <td><input type="checkbox" name="checkbox_SA0530" value="1"></td>
			    <td><input type="checkbox" name="checkbox_DO0530" value="1"></td>
			  </tr>
			  <tr>
			    <th scope="row">06:00</th>
			    <td><input type="checkbox" name="checkbox_LU0600" value="06:00"></td>
			    <td><input type="checkbox" name="checkbox_MA0600" value="06:00"></td>
			    <td><input type="checkbox" name="checkbox_ME0600" value="06:00"></td>
			    <td><input type="checkbox" name="checkbox_GI0600" value="06:00"></td>
			    <td><input type="checkbox" name="checkbox_VE0600" value="06:00"></td>
			    <td><input type="checkbox" name="checkbox_SA0600" value="06:00"></td>
			    <td><input type="checkbox" name="checkbox_DO0600" value="06:00"></td>
			  </tr>
			  <tr>
			    <th scope="row">06:30</th>
			    <td><input type="checkbox" name="checkbox_LU0630" value="1"></td>
			    <td><input type="checkbox" name="checkbox_MA0630" value="1"></td>
			    <td><input type="checkbox" name="checkbox_ME0630" value="1"></td>
			    <td><input type="checkbox" name="checkbox_GI0630" value="1"></td>
			    <td><input type="checkbox" name="checkbox_VE0630" value="1"></td>
			    <td><input type="checkbox" name="checkbox_SA0630" value="1"></td>
			    <td><input type="checkbox" name="checkbox_DO0630" value="1"></td>
			  </tr>
			  <tr>
			    <th scope="row">07:00</th>
			    <td><input type="checkbox" name="checkbox_LU0700" value="07:00"></td>
			    <td><input type="checkbox" name="checkbox_MA0700" value="07:00"></td>
			    <td><input type="checkbox" name="checkbox_ME0700" value="07:00"></td>
			    <td><input type="checkbox" name="checkbox_GI0700" value="07:00"></td>
			    <td><input type="checkbox" name="checkbox_VE0700" value="07:00"></td>
			    <td><input type="checkbox" name="checkbox_SA0700" value="07:00"></td>
			    <td><input type="checkbox" name="checkbox_DO0700" value="07:00"></td>
			  </tr>
			  <tr>
			    <th scope="row">07:30</th>
			    <td><input type="checkbox" name="checkbox_LU0730" value="1"></td>
			    <td><input type="checkbox" name="checkbox_MA0730" value="1"></td>
			    <td><input type="checkbox" name="checkbox_ME0730" value="1"></td>
			    <td><input type="checkbox" name="checkbox_GI0730" value="1"></td>
			    <td><input type="checkbox" name="checkbox_VE0730" value="1"></td>
			    <td><input type="checkbox" name="checkbox_SA0730" value="1"></td>
			    <td><input type="checkbox" name="checkbox_DO0730" value="1"></td>
			  </tr>
			  <tr>
			    <th scope="row">08:00</th>
			    <td><input type="checkbox" name="checkbox_LU0800" value="08:00"></td>
			    <td><input type="checkbox" name="checkbox_MA0800" value="08:00"></td>
			    <td><input type="checkbox" name="checkbox_ME0800" value="08:00"></td>
			    <td><input type="checkbox" name="checkbox_GI0800" value="08:00"></td>
			    <td><input type="checkbox" name="checkbox_VE0800" value="08:00"></td>
			    <td><input type="checkbox" name="checkbox_SA0800" value="08:00"></td>
			    <td><input type="checkbox" name="checkbox_DO0800" value="08:00"></td>
			  </tr>
			  <tr>
			    <th scope="row">08:30</th>
			    <td><input type="checkbox" name="checkbox_LU0830" value="1"></td>
			    <td><input type="checkbox" name="checkbox_MA0830" value="1"></td>
			    <td><input type="checkbox" name="checkbox_ME0830" value="1"></td>
			    <td><input type="checkbox" name="checkbox_GI0830" value="1"></td>
			    <td><input type="checkbox" name="checkbox_VE0830" value="1"></td>
			    <td><input type="checkbox" name="checkbox_SA0830" value="1"></td>
			    <td><input type="checkbox" name="checkbox_DO0830" value="1"></td>
			  </tr>
			  <tr>
			    <th scope="row">09:00</th>
			    <td><input type="checkbox" name="checkbox_LU0900" value="09:00"></td>
			    <td><input type="checkbox" name="checkbox_MA0900" value="09:00"></td>
			    <td><input type="checkbox" name="checkbox_ME0900" value="09:00"></td>
			    <td><input type="checkbox" name="checkbox_GI0900" value="09:00"></td>
			    <td><input type="checkbox" name="checkbox_VE0900" value="09:00"></td>
			    <td><input type="checkbox" name="checkbox_SA0900" value="09:00"></td>
			    <td><input type="checkbox" name="checkbox_DO0900" value="09:00"></td>
			  </tr>
			  <tr>
			    <th scope="row">09:30</th>
			    <td><input type="checkbox" name="checkbox_LU0930" value="1"></td>
			    <td><input type="checkbox" name="checkbox_MA0930" value="1"></td>
			    <td><input type="checkbox" name="checkbox_ME0930" value="1"></td>
			    <td><input type="checkbox" name="checkbox_GI0930" value="1"></td>
			    <td><input type="checkbox" name="checkbox_VE0930" value="1"></td>
			    <td><input type="checkbox" name="checkbox_SA0930" value="1"></td>
			    <td><input type="checkbox" name="checkbox_DO0930" value="1"></td>
			  </tr>
			  <tr>
			    <th scope="row">10:00</th>
			    <td><input type="checkbox" name="checkbox_LU1000" value="10:00"></td>
			    <td><input type="checkbox" name="checkbox_MA1000" value="10:00"></td>
			    <td><input type="checkbox" name="checkbox_ME1000" value="10:00"></td>
			    <td><input type="checkbox" name="checkbox_GI1000" value="10:00"></td>
			    <td><input type="checkbox" name="checkbox_VE1000" value="10:00"></td>
			    <td><input type="checkbox" name="checkbox_SA1000" value="10:00"></td>
			    <td><input type="checkbox" name="checkbox_DO1000" value="10:00"></td>
			  </tr>
			  <tr>
			    <th scope="row">10:30</th>
			    <td><input type="checkbox" name="checkbox_LU1030" value="1"></td>
			    <td><input type="checkbox" name="checkbox_MA1030" value="1"></td>
			    <td><input type="checkbox" name="checkbox_ME1030" value="1"></td>
			    <td><input type="checkbox" name="checkbox_GI1030" value="1"></td>
			    <td><input type="checkbox" name="checkbox_VE1030" value="1"></td>
			    <td><input type="checkbox" name="checkbox_SA1030" value="1"></td>
			    <td><input type="checkbox" name="checkbox_DO1030" value="1"></td>
			  </tr>
			  <tr>
			    <th scope="row">11:00</th>
			    <td><input type="checkbox" name="checkbox_LU1100" value="11:00"></td>
			    <td><input type="checkbox" name="checkbox_MA1100" value="11:00"></td>
			    <td><input type="checkbox" name="checkbox_ME1100" value="11:00"></td>
			    <td><input type="checkbox" name="checkbox_GI1100" value="11:00"></td>
			    <td><input type="checkbox" name="checkbox_VE1100" value="11:00"></td>
			    <td><input type="checkbox" name="checkbox_SA1100" value="11:00"></td>
			    <td><input type="checkbox" name="checkbox_DO1100" value="11:00"></td>
			  </tr>
			  <tr>
			    <th scope="row">11:30</th>
			    <td><input type="checkbox" name="checkbox_LU1130" value="1"></td>
			    <td><input type="checkbox" name="checkbox_MA1130" value="1"></td>
			    <td><input type="checkbox" name="checkbox_ME1130" value="1"></td>
			    <td><input type="checkbox" name="checkbox_GI1130" value="1"></td>
			    <td><input type="checkbox" name="checkbox_VE1130" value="1"></td>
			    <td><input type="checkbox" name="checkbox_SA1130" value="1"></td>
			    <td><input type="checkbox" name="checkbox_DO1130" value="1"></td>
			  </tr>
			  <tr>
			    <th scope="row">12:00</th>
			    <td><input type="checkbox" name="checkbox_LU1200" value="12:00"></td>
			    <td><input type="checkbox" name="checkbox_MA1200" value="12:00"></td>
			    <td><input type="checkbox" name="checkbox_ME1200" value="12:00"></td>
			    <td><input type="checkbox" name="checkbox_GI1200" value="12:00"></td>
			    <td><input type="checkbox" name="checkbox_VE1200" value="12:00"></td>
			    <td><input type="checkbox" name="checkbox_SA1200" value="12:00"></td>
			    <td><input type="checkbox" name="checkbox_DO1200" value="12:00"></td>
			  </tr>
			  <tr>
			    <th scope="row">12:30</th>
			    <td><input type="checkbox" name="checkbox_LU1230" value="1"></td>
			    <td><input type="checkbox" name="checkbox_MA1230" value="1"></td>
			    <td><input type="checkbox" name="checkbox_ME1230" value="1"></td>
			    <td><input type="checkbox" name="checkbox_GI1230" value="1"></td>
			    <td><input type="checkbox" name="checkbox_VE1230" value="1"></td>
			    <td><input type="checkbox" name="checkbox_SA1230" value="1"></td>
			    <td><input type="checkbox" name="checkbox_DO1230" value="1"></td>
			  </tr>
			  <tr>
			    <th scope="row">13:00</th>
			    <td><input type="checkbox" name="checkbox_LU1300" value="13:00"></td>
			    <td><input type="checkbox" name="checkbox_MA1300" value="13:00"></td>
			    <td><input type="checkbox" name="checkbox_ME1300" value="13:00"></td>
			    <td><input type="checkbox" name="checkbox_GI1300" value="13:00"></td>
			    <td><input type="checkbox" name="checkbox_VE1300" value="13:00"></td>
			    <td><input type="checkbox" name="checkbox_SA1300" value="13:00"></td>
			    <td><input type="checkbox" name="checkbox_DO1300" value="13:00"></td>
			  </tr>
			  <tr>
			    <th scope="row">13:30</th>
			    <td><input type="checkbox" name="checkbox_LU1330" value="1"></td>
			    <td><input type="checkbox" name="checkbox_MA1330" value="1"></td>
			    <td><input type="checkbox" name="checkbox_ME1330" value="1"></td>
			    <td><input type="checkbox" name="checkbox_GI1330" value="1"></td>
			    <td><input type="checkbox" name="checkbox_VE1330" value="1"></td>
			    <td><input type="checkbox" name="checkbox_SA1330" value="1"></td>
			    <td><input type="checkbox" name="checkbox_DO1330" value="1"></td>
			  </tr>
			  <tr>
			    <th scope="row">14:00</th>
			    <td><input type="checkbox" name="checkbox_LU1400" value="14:00"></td>
			    <td><input type="checkbox" name="checkbox_MA1400" value="14:00"></td>
			    <td><input type="checkbox" name="checkbox_ME1400" value="14:00"></td>
			    <td><input type="checkbox" name="checkbox_GI1400" value="14:00"></td>
			    <td><input type="checkbox" name="checkbox_VE1400" value="14:00"></td>
			    <td><input type="checkbox" name="checkbox_SA1400" value="14:00"></td>
			    <td><input type="checkbox" name="checkbox_DO1400" value="14:00"></td>
			  </tr>
			  <tr>
			    <th scope="row">14:30</th>
			    <td><input type="checkbox" name="checkbox_LU1430" value="1"></td>
			    <td><input type="checkbox" name="checkbox_MA1430" value="1"></td>
			    <td><input type="checkbox" name="checkbox_ME1430" value="1"></td>
			    <td><input type="checkbox" name="checkbox_GI1430" value="1"></td>
			    <td><input type="checkbox" name="checkbox_VE1430" value="1"></td>
			    <td><input type="checkbox" name="checkbox_SA1430" value="1"></td>
			    <td><input type="checkbox" name="checkbox_DO1430" value="1"></td>
			  </tr>
			  <tr>
			    <th scope="row">15:00</th>
			    <td><input type="checkbox" name="checkbox_LU1500" value="15:00"></td>
			    <td><input type="checkbox" name="checkbox_MA1500" value="15:00"></td>
			    <td><input type="checkbox" name="checkbox_ME1500" value="15:00"></td>
			    <td><input type="checkbox" name="checkbox_GI1500" value="15:00"></td>
			    <td><input type="checkbox" name="checkbox_VE1500" value="15:00"></td>
			    <td><input type="checkbox" name="checkbox_SA1500" value="15:00"></td>
			    <td><input type="checkbox" name="checkbox_DO1500" value="15:00"></td>
			  </tr>
			  <tr>
			    <th scope="row">15:30</th>
			    <td><input type="checkbox" name="checkbox_LU1530" value="1"></td>
			    <td><input type="checkbox" name="checkbox_MA1530" value="1"></td>
			    <td><input type="checkbox" name="checkbox_ME1530" value="1"></td>
			    <td><input type="checkbox" name="checkbox_GI1530" value="1"></td>
			    <td><input type="checkbox" name="checkbox_VE1530" value="1"></td>
			    <td><input type="checkbox" name="checkbox_SA1530" value="1"></td>
			    <td><input type="checkbox" name="checkbox_DO1530" value="1"></td>
			  </tr>
			  <tr>
			    <th scope="row">16:00</th>
			    <td><input type="checkbox" name="checkbox_LU1600" value="16:00"></td>
			    <td><input type="checkbox" name="checkbox_MA1600" value="16:00"></td>
			    <td><input type="checkbox" name="checkbox_ME1600" value="16:00"></td>
			    <td><input type="checkbox" name="checkbox_GI1600" value="16:00"></td>
			    <td><input type="checkbox" name="checkbox_VE1600" value="16:00"></td>
			    <td><input type="checkbox" name="checkbox_SA1600" value="16:00"></td>
			    <td><input type="checkbox" name="checkbox_DO1600" value="16:00"></td>
			  </tr>
			  <tr>
			    <th scope="row">16:30</th>
			    <td><input type="checkbox" name="checkbox_LU1630" value="1"></td>
			    <td><input type="checkbox" name="checkbox_MA1630" value="1"></td>
			    <td><input type="checkbox" name="checkbox_ME1630" value="1"></td>
			    <td><input type="checkbox" name="checkbox_GI1630" value="1"></td>
			    <td><input type="checkbox" name="checkbox_VE1630" value="1"></td>
			    <td><input type="checkbox" name="checkbox_SA1630" value="1"></td>
			    <td><input type="checkbox" name="checkbox_DO1630" value="1"></td>
			  </tr>
			  <tr>
			    <th scope="row">17:00</th>
			    <td><input type="checkbox" name="checkbox_LU1700" value="17:00"></td>
			    <td><input type="checkbox" name="checkbox_MA1700" value="17:00"></td>
			    <td><input type="checkbox" name="checkbox_ME1700" value="17:00"></td>
			    <td><input type="checkbox" name="checkbox_GI1700" value="17:00"></td>
			    <td><input type="checkbox" name="checkbox_VE1700" value="17:00"></td>
			    <td><input type="checkbox" name="checkbox_SA1700" value="17:00"></td>
			    <td><input type="checkbox" name="checkbox_DO1700" value="17:00"></td>
			  </tr>
			  <tr>
			    <th scope="row">17:30</th>
			    <td><input type="checkbox" name="checkbox_LU1730" value="1"></td>
			    <td><input type="checkbox" name="checkbox_MA1730" value="1"></td>
			    <td><input type="checkbox" name="checkbox_ME1730" value="1"></td>
			    <td><input type="checkbox" name="checkbox_GI1730" value="1"></td>
			    <td><input type="checkbox" name="checkbox_VE1730" value="1"></td>
			    <td><input type="checkbox" name="checkbox_SA1730" value="1"></td>
			    <td><input type="checkbox" name="checkbox_DO1730" value="1"></td>
			  </tr>
			  <tr>
			    <th scope="row">18:00</th>
			    <td><input type="checkbox" name="checkbox_LU1800" value="18:00"></td>
			    <td><input type="checkbox" name="checkbox_MA1800" value="18:00"></td>
			    <td><input type="checkbox" name="checkbox_ME1800" value="18:00"></td>
			    <td><input type="checkbox" name="checkbox_GI1800" value="18:00"></td>
			    <td><input type="checkbox" name="checkbox_VE1800" value="18:00"></td>
			    <td><input type="checkbox" name="checkbox_SA1800" value="18:00"></td>
			    <td><input type="checkbox" name="checkbox_DO1800" value="18:00"></td>
			  </tr>
			  <tr>
			    <th scope="row">18:30</th>
			    <td><input type="checkbox" name="checkbox_LU1830" value="1"></td>
			    <td><input type="checkbox" name="checkbox_MA1830" value="1"></td>
			    <td><input type="checkbox" name="checkbox_ME1830" value="1"></td>
			    <td><input type="checkbox" name="checkbox_GI1830" value="1"></td>
			    <td><input type="checkbox" name="checkbox_VE1830" value="1"></td>
			    <td><input type="checkbox" name="checkbox_SA1830" value="1"></td>
			    <td><input type="checkbox" name="checkbox_DO1830" value="1"></td>
			  </tr>
			  <tr>
			    <th scope="row">19:00</th>
			    <td><input type="checkbox" name="checkbox_LU1900" value="19:00"></td>
			    <td><input type="checkbox" name="checkbox_MA1900" value="19:00"></td>
			    <td><input type="checkbox" name="checkbox_ME1900" value="19:00"></td>
			    <td><input type="checkbox" name="checkbox_GI1900" value="19:00"></td>
			    <td><input type="checkbox" name="checkbox_VE1900" value="19:00"></td>
			    <td><input type="checkbox" name="checkbox_SA1900" value="19:00"></td>
			    <td><input type="checkbox" name="checkbox_DO1900" value="19:00"></td>
			  </tr>
			  <tr>
			    <th scope="row">19:30</th>
			    <td><input type="checkbox" name="checkbox_LU1930" value="1"></td>
			    <td><input type="checkbox" name="checkbox_MA1930" value="1"></td>
			    <td><input type="checkbox" name="checkbox_ME1930" value="1"></td>
			    <td><input type="checkbox" name="checkbox_GI1930" value="1"></td>
			    <td><input type="checkbox" name="checkbox_VE1930" value="1"></td>
			    <td><input type="checkbox" name="checkbox_SA1930" value="1"></td>
			    <td><input type="checkbox" name="checkbox_DO1930" value="1"></td>
			  </tr>
			  <tr>
			    <th scope="row">20:00</th>
			    <td><input type="checkbox" name="checkbox_LU2000" value="20:00"></td>
			    <td><input type="checkbox" name="checkbox_MA2000" value="20:00"></td>
			    <td><input type="checkbox" name="checkbox_ME2000" value="20:00"></td>
			    <td><input type="checkbox" name="checkbox_GI2000" value="20:00"></td>
			    <td><input type="checkbox" name="checkbox_VE2000" value="20:00"></td>
			    <td><input type="checkbox" name="checkbox_SA2000" value="20:00"></td>
			    <td><input type="checkbox" name="checkbox_DO2000" value="20:00"></td>
			  </tr>
			  <tr>
			    <th scope="row">20:30</th>
			    <td><input type="checkbox" name="checkbox_LU2030" value="1"></td>
			    <td><input type="checkbox" name="checkbox_MA2030" value="1"></td>
			    <td><input type="checkbox" name="checkbox_ME2030" value="1"></td>
			    <td><input type="checkbox" name="checkbox_GI2030" value="1"></td>
			    <td><input type="checkbox" name="checkbox_VE2030" value="1"></td>
			    <td><input type="checkbox" name="checkbox_SA2030" value="1"></td>
			    <td><input type="checkbox" name="checkbox_DO2030" value="1"></td>
			  </tr>
			  <tr>
			    <th scope="row">21:00</th>
			    <td><input type="checkbox" name="checkbox_LU2100" value="21:00"></td>
			    <td><input type="checkbox" name="checkbox_MA2100" value="21:00"></td>
			    <td><input type="checkbox" name="checkbox_ME2100" value="21:00"></td>
			    <td><input type="checkbox" name="checkbox_GI2100" value="21:00"></td>
			    <td><input type="checkbox" name="checkbox_VE2100" value="21:00"></td>
			    <td><input type="checkbox" name="checkbox_SA2100" value="21:00"></td>
			    <td><input type="checkbox" name="checkbox_DO2100" value="21:00"></td>
			  </tr>
			  <tr>
			    <th scope="row">21:30</th>
			    <td><input type="checkbox" name="checkbox_LU2130" value="1"></td>
			    <td><input type="checkbox" name="checkbox_MA2130" value="1"></td>
			    <td><input type="checkbox" name="checkbox_ME2130" value="1"></td>
			    <td><input type="checkbox" name="checkbox_GI2130" value="1"></td>
			    <td><input type="checkbox" name="checkbox_VE2130" value="1"></td>
			    <td><input type="checkbox" name="checkbox_SA2130" value="1"></td>
			    <td><input type="checkbox" name="checkbox_DO2130" value="1"></td>
			  </tr>
			  <tr>
			    <th scope="row">22:00</th>
			    <td><input type="checkbox" name="checkbox_LU2200" value="22:00"></td>
			    <td><input type="checkbox" name="checkbox_MA2200" value="22:00"></td>
			    <td><input type="checkbox" name="checkbox_ME2200" value="22:00"></td>
			    <td><input type="checkbox" name="checkbox_GI2200" value="22:00"></td>
			    <td><input type="checkbox" name="checkbox_VE2200" value="22:00"></td>
			    <td><input type="checkbox" name="checkbox_SA2200" value="22:00"></td>
			    <td><input type="checkbox" name="checkbox_DO2200" value="22:00"></td>
			  </tr>
			  <tr>
			    <th scope="row">22:30</th>
			    <td><input type="checkbox" name="checkbox_LU2230" value="1"></td>
			    <td><input type="checkbox" name="checkbox_MA2230" value="1"></td>
			    <td><input type="checkbox" name="checkbox_ME2230" value="1"></td>
			    <td><input type="checkbox" name="checkbox_GI2230" value="1"></td>
			    <td><input type="checkbox" name="checkbox_VE2230" value="1"></td>
			    <td><input type="checkbox" name="checkbox_SA2230" value="1"></td>
			    <td><input type="checkbox" name="checkbox_DO2230" value="1"></td>
			  </tr>
			  <tr>
			    <th scope="row">23:00</th>
			    <td><input type="checkbox" name="checkbox_LU2300" value="23:00"></td>
			    <td><input type="checkbox" name="checkbox_MA2300" value="23:00"></td>
			    <td><input type="checkbox" name="checkbox_ME2300" value="23:00"></td>
			    <td><input type="checkbox" name="checkbox_GI2300" value="23:00"></td>
			    <td><input type="checkbox" name="checkbox_VE2300" value="23:00"></td>
			    <td><input type="checkbox" name="checkbox_SA2300" value="23:00"></td>
			    <td><input type="checkbox" name="checkbox_DO2300" value="23:00"></td>
			  </tr>
			  <tr>
			    <th scope="row">23:30</th>
			    <td><input type="checkbox" name="checkbox_LU2330" value="1"></td>
			    <td><input type="checkbox" name="checkbox_MA2330" value="1"></td>
			    <td><input type="checkbox" name="checkbox_ME2330" value="1"></td>
			    <td><input type="checkbox" name="checkbox_GI2330" value="1"></td>
			    <td><input type="checkbox" name="checkbox_VE2330" value="1"></td>
			    <td><input type="checkbox" name="checkbox_SA2330" value="1"></td>
			    <td><input type="checkbox" name="checkbox_DO2330" value="1"></td>
			  </tr>
			<tfoot>
			  <tr>
			    <th></th>
			    <th>L</th>
			    <th>M</th>
			    <th>M</th>
			    <th>G</th>
			    <th>V</th>
			    <th>S</th>
			    <th>D</th>
			  </tr>
			</tfoot>			  
			  
			  
			  
			</tbody>
	</table>
	</div>
</div>
-->
