<?php
	require_once 'util/session.php';
	


	//MySQL Database Connect
	require_once 'util/database.php';
	
	$tabella = "programmazioneOraria";
	
	$idprogrammazioneOraria = null;
	$idDispositivo = 7;
	$giornoSettimana = 1;
	$orarioInizio = "10:00";
	
	try {
		$conn = Database::connect();
		// set the PDO error mode to exception
		$conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

		// insert
		$stmtString = "INSERT INTO $tabella (idprogrammazioneOraria, idDispositivo, giornoSettimana, orarioInizio)
		VALUES (:idprogrammazioneOraria, :idDispositivo, :giornoSettimana, :orarioInizio)";
		$stmt = $conn->prepare($stmtString);
		$stmt->bindParam(':idprogrammazioneOraria', $idprogrammazioneOraria);
		$stmt->bindParam(':idDispositivo', $idDispositivo);
		$stmt->bindParam(':giornoSettimana', $giornoSettimana);
		$stmt->bindParam(':orarioInizio', $orarioInizio);
		$stmt->execute();
	
		$orarioInizio = "11:00";
		$stmt->bindParam(':idprogrammazioneOraria', $idprogrammazioneOraria);
		$stmt->bindParam(':idDispositivo', $idDispositivo);
		$stmt->bindParam(':giornoSettimana', $giornoSettimana);
		$stmt->bindParam(':orarioInizio', $orarioInizio);
		$stmt->execute();
		
		Database::disconnect();
	} catch(PDOException $e) {
		echo $sql . "<br>" . $e->getMessage();

	}
	
	try {
		// select
		$sql = "SELECT idprogrammazioneOraria, idDispositivo, giornoSettimana, orarioInizio FROM $tabella";
		$sql .= " WHERE 1=1";
		$sql .= " AND idDispositivo=7";
		$sql .= " ORDER BY idprogrammazioneOraria";
		$sql .= " ASC";
		
		/* Mi connetto al DB ed eseguo la query */
		$conn = Database::connect();
		// set the PDO error mode to exception
		$conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		// set the resulting array to associative
		$resultSetFetch = $stmt->setFetchMode(PDO::FETCH_ASSOC);
		$results = $stmt->fetchAll();
		
		echo "numero risultati: " . count($results) . "<br>";
		foreach($results as $result) { //$keyNumero => $valueArrayRiga) {
			print_r($result);
			echo "<br>";
			
			
		}
		Database::disconnect();
	} catch(PDOException $e) {
		echo $sql . "<br>" . $e->getMessage();

	}
	
	
	
// 	try {
// 		// delete
		
// 		$conn = Database::connect();
// 		// set the PDO error mode to exception
// 		$conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		
// 		// insert
// 		$stmtString = "DELETE FROM $tabella WHERE idDispositivo = :idDispositivo";
// 		$stmt = $conn->prepare($stmtString);
// 		$stmt->bindParam(':idDispositivo', $idDispositivo);
// 		$stmt->execute();
// 		$deleted = $stmt->rowCount();
// 		echo "deleted= " . $deleted . "<br>";
	 	
// 		Database::disconnect();
// 	} catch(PDOException $e) {
// 		echo $sql . "<br>" . $e->getMessage();
		
// 	}
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
?>
	
	