<?php

/*
 * Dati in tempo reale.
 * Questo file mostra l'ultima lettura dal DB 
 * dei dati rilevati dai seguenti sensori in tempo reale:
 * temperatura
 * Devo indicare da quale dispositivo (e da quale sensore) 
 * voglio leggere la temperatura
 * 
 */
// require_once '../util/session.php';

/* Variabili per il log */
$logFile = "logs/logGetData.txt"; // file per il log
$dataServer = date("Y-m-d H:i:s");
$nomeFilePhp = basename($_SERVER['REQUEST_URI'], '?' . $_SERVER['QUERY_STRING']); // recupera il nome di questo file PHP dall'URL

//$arduinoIp = "192.168.10.151"; // ip reale

$Saved_File = fopen($logFile, 'a');
fwrite($Saved_File,  "------------------------------------------------------------------------------------\r\n");
fwrite($Saved_File, "$dataServer - $nomeFilePhp - " . print_r($_GET, true) . "\r\n");
fclose($Saved_File);
// N.B.: Devo scrivere il codice per fare il log!!!!!!!!!!!!!!!!!!!!!!!!!!!!!


?>

	
 	<!--Load the AJAX API-->
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
 
    <script type="text/javascript">
		var refreshInterval = 60000; // 60000 millisecondi = 1 minuto
   		// Funzioni per i grafici di Google
    	// Load the Visualization API and the piechart package.
      	//google.load("visualization", "1", {'packages':["gauge,corechart"]});
		google.load("visualization", "1", {'packages':["gauge"]});
      
      	// Set a callback to run when the Google Visualization API is loaded.
      	google.setOnLoadCallback(init);
      
		function init () {
// 			var getJsonDataLastTemperatureUrl = "getData/getJsonDataLastTemperature.php";
			var getJsonDataLastTemperatureUrl = "getData/getJsonDataLastTemperature.php?idDispositivo=1&idSensore1=1&idSensore2=0";
			var getJsonDataLastTemperatureDateUrl = "getData/getJsonDataLastTemperatureDate.php";
			//var refreshInterval = 60000; // 60000 millisecondi = 1 minuto
			var larghezza = 120;
			var altezza = 120;
		    drawChartTemperature(getJsonDataLastTemperatureUrl, getJsonDataLastTemperatureDateUrl, refreshInterval, larghezza, altezza);
		    // etc.... 
		}      


		function drawChartTemperature(getJsonDataLastTemperatureUrl, getJsonDataLastTemperatureDateUrl, refreshInterval, larghezza, altezza) {
        	console.log("drawChartTemperature");
  	      	var jsonData = $.ajax({
  	        	//url: "getJsonDataLastTemperature.php",
  	          	url: getJsonDataLastTemperatureUrl,
  	          	dataType: "json",
  	          	async: false
  	          	}).responseText;
           ;
  	       // Create our data table out of JSON data loaded from server.
  	       var data = new google.visualization.DataTable(jsonData);
  	      
           var options = {
           		width: larghezza, height: altezza,
  			 	greenFrom: 18, greenTo: 25,
  			 	yellowFrom:25, yellowTo: 30,
            	redFrom: 30, redTo: 50,
  			 	majorTicks: ['-10', '0', '10', '20', '30', '40', '50'],
            	minorTicks: 10,
            	animation:{
          			duration: 1000,
         			easing: 'out',
        	 	},
        	 	max: 50,
        	 	min: -10,
  			 	//seriesType: 'bars',
  			 	//series: {5: {type: 'line'}}
          };

          var chart = new google.visualization.Gauge(document.getElementById('chart_temperature_div'));

          chart.draw(data, options);
  		  //chart.draw(data);
  		  // recupero l'ora dell'ultimo aggiornamento
		  var mostraUltimoRilevamento = $.ajax({
  	          url: getJsonDataLastTemperatureDateUrl,
  	          dataType: "json",
  	          async: false
  	          }).responseText;
  	      var mostraUltimoRilevamentoObj = JSON.parse(mostraUltimoRilevamento);
  	      var mySQLDate = mostraUltimoRilevamentoObj.date;
  		  var jsDate = new Date(Date.parse(mySQLDate.replace('-','/','g')));
  		  document.getElementById('mostraUltimoRilevamento').innerHTML = jsDate;

          setInterval(function() {
          	 var date = new Date();
            console.log(date.toTimeString() + ' -> richiesta nuovi dati temperatura');
            jsonData = $.ajax({
  	          //url: "getJsonDataLastTemperature.php",
  	          url: getJsonDataLastTemperatureUrl,
  	          dataType: "json",
  	          async: false
  	          }).responseText;
  	       data = new google.visualization.DataTable(jsonData);
            chart.draw(data, options);
           // recupero l'ora dell'ultimo aggiornamento
  			mostraUltimoRilevamento = $.ajax({
  	          url: getJsonDataLastTemperatureDateUrl,
  	          dataType: "json",
  	          async: false
  	          }).responseText;
  			var mostraUltimoRilevamentoObj = JSON.parse(mostraUltimoRilevamento);
  	        var mySQLDate = mostraUltimoRilevamentoObj.date;
  			var jsDate = new Date(Date.parse(mySQLDate.replace('-','/','g')));
  			document.getElementById('mostraUltimoRilevamento').innerHTML = jsDate;
          }, refreshInterval);

        } // drawChartTemperature

	</script>
	
	<div id="orologio">
		Ora attuale:
		<span id='ct' ></span>
	</div>	
	
	<div id="ultimoRilevamento">
		Ultimo rilevamento temperature:
		<span id='mostraUltimoRilevamento' ></span>
	</div>
	
	<br><br>
	Temperatura
	<div id="chart_temperature_div" style="width: 180px; height: 180px;"></div>
	<br><br><br>
	
	
 	<script type="text/javascript"> 
		// funzioni per l'orologio javascript
		function display_c() {
			var refresh=1000; // Refresh rate in milliseconds
			mytime=setTimeout('display_ct()',refresh)
		}
		
		function display_ct() {
			var strcount
			var x = new Date()
			document.getElementById('ct').innerHTML = x;
			tt=display_c();
		}
// 		console.log("ct=" + document.getElementById('ct'));
		display_ct();
	</script>   	
	
	