local arduinoFunctions = {}

print("arduinoFunctions.lua - Inizio ******")


function switchOffAndOnArduino()
    -- sul pin xx e' collegato il relay che manda la corrente ad Arduino
    print('arduinoFunctions.lua - switchOffAndOnArduino - inizio')
    --local pinSwitch=4 -- GPIO02
    --gpio.mode(pinSwitch,gpio.OUTPUT)
    -- N.B.: il relay a due canali che sto usando e' active low, percio' per attivarlo devo mettere il GPIO a LOW
    print('arduinoFunctions.lua - switchOffAndOnArduino - LOW (--RESTART INIZIO--):')
    gpio.write(pinSwitch,gpio.LOW)
    -- delay delay time in micro second (un milionesimo di secondo)
    --tmr.delay(2000000) -- 2 secondi
    tmr.alarm( 6, 1000, 0, function()
        print('arduinoFunctions.lua - switchOffAndOnArduino - HIGH (--RESTART FINE--):')
        gpio.write(pinSwitch,gpio.HIGH)
        tmr.stop(6)
    end)
    print('arduinoFunctions.lua - switchOffAndOnArduino - fine')
end

function softwareResetArduino()
    -- sul pin xx e' collegato il cavo che manda il segnale di reser software ad Arduino
    print('arduinoFunctions.lua - softwareResetArduino - inizio')
    --local pinSwReset=11 -- GPIO09
    --gpio.mode(pinSwReset,gpio.OUTPUT)
    -- NO - N.B.: il relay a due canali che sto usando e' active low, percio' per attivarlo devo mettere il GPIO a LOW
    -- N.B.: se attivo il transistor attivo il reset
    print('arduinoFunctions.lua - softwareResetArduino - HIGH (--RESET INIZIO--)')
    gpio.write(pinSwReset,gpio.HIGH)
    --print('arduinoFunctions.lua - softwareResetArduino - LOW:')
    --gpio.write(pinSwReset,gpio.LOW)
    
    tmr.alarm( 5, 3000, 0, function()
        print('arduinoFunctions.lua - softwareResetArduino - LOW (--RESET FINE--)')
        gpio.write(pinSwReset,gpio.LOW)
        tmr.stop(5)
    end)
    
    print('arduinoFunctions.lua - softwareResetArduino - fine')
end


print("arduinoFunctions.lua - Fine ******")

return arduinoFunctions
